<?php
/**
 * NesCat (Nesquik catalog) 0.1 stable
 *
 * Система представляет собой скрипт для каталога сайтов
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: Провокатор
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

function clock ($time) {

	$date = date('j M в H:i:s', $time);
	
	$time_p[0] = date('j n Y', $time);
	$time_p[1] = date('H:i:s', $time);
	
	if ($time_p[0] == date('j n Y', time())) {
		$date = 'Сегодня в ' . $time_p[1];
	} elseif ($time_p[0] == date('j n Y', time() - 86400)) {
		$date = 'Вчера в ' . $time_p[1];
	}
	
	return strtr($date, array('Jan' => 'Янв', 'Feb' => 'Фев', 'Mar' => 'Мар', 'Apr' => 'Апр', 'May' => 'Мая', 'Jun' => 'Июн', 'Jul' => 'Июл', 'Aug' => 'Авг', 'Sep' => 'Сен', 'Oct' => 'Окт', 'Nov' => 'Ноя', 'Dec' => 'Дек'));

}
 
function require_header ($title = '') {
	ob_start ();

	if (file_exists(dirname(__FILE__).'/header.php')) {
		return require_once (dirname(__FILE__).'/header.php');
	} else {
		return exit ('Немогу подключить файл header.php!');
	}
}

function require_footer ($url = '', $name = '') {
	ob_end_flush ();

	if (file_exists(dirname(__FILE__).'/footer.php')) {
		return require_once (dirname(__FILE__).'/footer.php');
	} else {
		return exit ('Немогу подключить файл footer.php!');
	}
}

function generate ($col = 5) {
	$value = array_merge(range(0, 9), range('a', 'z'), range('A', 'Z'));
	$str = '';
	for ($i = 0; $i < (empty($col) ? 5 : $col); $i++) {
		$str .= $value[array_rand($value)];
	}
	return $str;
}

function mailto ($email, $theme, $message) {

	$headers = "From: robot@".getenv('HTTP_HOST')."\n";
	$headers .= "Content-Type: text/plain; charset=utf-8\n";
	
	return mail ($email, $theme, $message, $headers);
}

function page ($k_page = 1, $page = 1) {

	if (isset($_POST['page'])) {
		$page = abs(intval($_POST['page']));
	} else {
		$page = isset($_GET['page']) ? abs(intval($_GET['page'])) : 1;
	}
	
	if ($page < 1) {
		$page = 1;
	}
		
	if ($page > $k_page) {
		$page = $k_page;
	}
		
	return $page;
}

function k_page ($k_post = 0, $k_p_str = 10) {
	return $v_pages = ($k_post != 0) ? ceil($k_post / $k_p_str) : 1;
}

function navigation ($link = null, $k_page = 1, $page = 1) {
	
	echo '<div class="main">';
		
	echo ($page > 1 ? '<a href="'.$link.'page.'.($page - 1).'">Назад</a> ' : 'Назад').' | '.($k_page > $page ? ' <a href="'.$link.'page.'.($page + 1).'">Далее</a>' : 'Далее');
	
	echo '<br/>';
		
	echo ($page != 1) ? '<a href="'.$link.'page.1">1</a>' : '<b>1</b>';

	for ($i =- 3; $i <= 3; $i++) {
	
		if ($page + $i > 1 && $page + $i < $k_page) :
				
			if ($i ==- 3 && $page + $i > 2) {
				echo ' <a>..</a>'; 
			}
				
			echo ($i != 0) ? ' <a href="'.$link.'page.'.($page + $i).'">'.($page + $i).'</a>' : ' <b>'.($page + $i).'</b>';

			if ($i == 3 && $page + $i < $k_page - 1) {
				echo ' <a>..</a>';
			}
				
		endif;
		
	}
		
	echo ($page != $k_page) ? ' <a href="'.$link.'page.'.$k_page.'">'.$k_page.'</a>' : ' <b>'.$k_page.'</b>';

	echo '<br/>
	<form action="" method="post">
    Cтр. <input type="text" name="page" maxlength="4" size="3" value="'.$page.'"/><input type="submit" value="&raquo;&raquo;"/></form>
	</div>';
}

function status_platform ($status) {
	switch ($status) {
		case 1:
			return '<span style="color:green">Активна</span>';
		break;
		case 2:
			return '<span style="color:red">Заблокирована</span>';
		break;
		default:
			return '<span style="color:blue">На модерации</span>';
		break;
	}
}

function error ($error, $back, $name) {
	require_header ($error);
	echo '<div class="error">'.$error.'</div>';
	exit(require_footer ($back, $name));
}

function select ($real, $value) {
	return ($real == $value ? 'selected="selected"' : '');
}

function check ($real, $value) {
	return ($real == $value ? 'checked="checked"' : '');
}

define('USER_AGENT', str_replace(array('"', "'"), null, iconv_substr(strtok(preg_replace('|http://|i', null, (isset($_SERVER['HTTP_X_OPERAMINI_PHONE_UA']) ? $_SERVER['HTTP_X_OPERAMINI_PHONE_UA'] : isset($_SERVER['HTTP_USER_AGENT']) ? $_SERVER['HTTP_USER_AGENT'] : 'Not_detected')), '( '), 0, 22, 'UTF-8')));

function mobile ($text) {
	if (stristr($text, 'SONYERICSSON')) {
		return 1;
	} elseif (stristr($text, 'NOKIA')) {
		return 2;
	} elseif (stristr($text, 'SAMSUNG')) {
		return 3;
	} elseif (stristr($text, 'SIE')) {
		return 4;
	} elseif(stristr($text, 'MOT')) {
		return 5;
	} elseif (stristr($text, 'LG')) {
		return 6;
	} elseif (stristr($text, 'SHARP')) {
		return 7;
	} elseif (stristr($text, 'PANASONIC')) {
		return 8;
	} elseif (stristr($text, 'SAGEM')) {
		return 9;
	} elseif (stristr($text, 'PANTECH')) {
		return 10;
	} elseif (stristr($text, 'NEC')) {
		return 11;
	} elseif (stristr($text, 'BENQ')) {
		return 12;
	} elseif (stristr($text, 'FLY')) {
		return 13;
	} else {
		return 0;
	}
}

function smiles ($str) {
	for ($i = 1; $i <= 13; $i ++) {
		$str = str_replace(':'.$i.':', '<img src="'.PATH.'/images/smiles/'.$i.'.gif" alt=""/>', $str);
	}
	return $str;
}

function Advertizing ($type = 1) {
	$sql = $GLOBALS['db']->query("SELECT `id`,`color`,`name` FROM `".REKL."` WHERE `type`='".intval($type)."' AND `status`='0' ORDER BY RAND()");
	if ($GLOBALS['db']->num_rows($sql)) {
		echo '<div class="rek"><img src="'.PATH.'/images/style/rek.png" alt=""/></div>
		<div class="ads">';
		while ($row = $GLOBALS['db']->fetch_assoc($sql)) {
			echo '- <a href="'.PATH.'/'.$row['id'].'.ads"><span style="color:'.htmlspecialchars($row['color']).'">'.htmlspecialchars($row['name']).'</span></a><br/>';
		}
		echo '</div>';
		unset($sql, $row);
	}
}

function DataBaseSize ($database) {

	$table = $GLOBALS['db']->query('SHOW TABLE STATUS');
	
	if (!$table) return -1;
	
	$table_count = $GLOBALS['db']->num_rows($table);
	$size = 0;
	
	for ($i = 0; $i < $table_count; $i ++) {
		$name = mysql_tablename($table, $i);
		$sql = $GLOBALS['db']->query("SHOW TABLE STATUS FROM `".$database."` LIKE '".$name."'");
		$data = $GLOBALS['db']->fetch_assoc($sql);
		$size += ($data['Index_length'] + $data['Data_length']);
	}
	
	$unit = array('бай', 'кб', 'мб', 'гб', 'тб');
	
	for ($i = 0; $size > 1024; $i ++) {
		$size /= 1024;
	}
	
	return round($size, 2).' '.$unit[$i];
}

function bbcode ($text) {
	$text = preg_replace('/\[b\](.*?)\[\/b]/i', '<b>\1</b>', $text);
	$text = preg_replace('/\[s\](.*?)\[\/s]/i', '<s>\1</s>', $text);
	$text = preg_replace('/\[i\](.*?)\[\/i]/i', '<i>\1</i>', $text);
	$text = preg_replace('/\[u\](.*?)\[\/u]/i', '<u>\1</u>', $text);
	$text = preg_replace('/\[small\](.*?)\[\/small]/i', '<small>\1</small>', $text);
	$text = preg_replace('/\[color\=(.*?)\](.*?)\[\/color\]/i', '<span style="color:\1">\2</span>', $text);
	$text = preg_replace('/\[blink\](.*?)\[\/blink]/i', '<blink>\1</blink>', $text);
	$text = preg_replace('/\[size\=(.*?)\](.*?)\[\/size\]/i', '<span style="font-size:\1px;">\2</span>', $text);
	return $text;
}

function authentication ($login, $password) {
	return $GLOBALS['db']->fetch_assoc("SELECT * FROM `".USERS."` WHERE `login`='".$GLOBALS['db']->escape($login)."' AND `password`='".$GLOBALS['db']->escape($password)."' LIMIT 1", 1);
}


function access ($page, $str = 0) {
	if ($GLOBALS['user']) {
		if ($GLOBALS['user']['admin'] == 1) {
			return true;
		} elseif ($GLOBALS['user']['admin'] == 2) {
			$value = false;
			foreach (explode(', ', $GLOBALS['user']['access']) as $access) {
				if ($page == $access) return true;
			}
			if ($value == false && $str == 0 && $page != 'index') {
				header ('Location: '.PATH.'/admin/index.xhtml');
			}
		} else {
			return error ('Недостаточно прав', PATH, 'На главную');
		}
	} else {
		header ('Location: '.PATH);
	}
}

function user_status ($status) {
	if ($status == 1) {
		return '<span style="color:red">Администратор</span>';
	} elseif ($status == 2) {
		return '<span style="color:green">Модератор</span>';
	} else {
		return 'Пользователь';
	}
}
?>