<?php
/**
 * NesCat (Nesquik catalog) 0.1 stable
 *
 * Система представляет собой скрипт для каталога сайтов
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: Провокатор
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

/* Подключаем системный файл */
if (file_exists('../__incfiles/core.php')) {
	require_once ('../__incfiles/core.php');
} else {
	exit ('Немогу подключить системный файл!');
}

define('ROOT', PATH.'/admin');

access ('base_ip');

require_header ('Обновление базы IP операторов');

set_time_limit(0);

$GLOBALS['last_mod'] = '';

$ch = curl_init ('http://www.logofon.ru/xml/ips.xml'); 
curl_setopt($ch, CURLOPT_USERAGENT, getenv('HTTP_USER_AGENT')); 
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
curl_setopt($ch, CURLOPT_HEADERFUNCTION, 'curlHeaderCallback'); 
$url = curl_exec($ch); 
curl_close($ch); 

function curlHeaderCallback ($ch, $header) {
	$explode = explode(': ', $header, 2); 
	if($explode[0] == 'Last-Modified') {
		$GLOBALS['last_mod'] = trim($explode[1]);
	}
	return strlen ($header); 
}

if ($set['update_base'] == strtotime($GLOBALS['last_mod'])) {
	error ('В данный момент ваша база актуальна!', ROOT.'/index.xhtml', 'Админ-панель');
}

$xml = simplexml_load_string ($url);

$i = 0;

echo '<div class="menu">';

foreach ($xml->operator as $operator) {


	if (!$db->num_rows("SELECT (`id`) FROM `".OPERATOR."` WHERE `name`='".$db->escape($operator['name'])."' AND `country`='".$db->escape($operator['country'])."' LIMIT 1", 1)) {
		if ($db->query("INSERT INTO `".OPERATOR."` SET `name`='".$db->escape($operator['name'])."', `country`='".$db->escape($operator['country'])."'")) {
			$i ++;
			echo $i.'. Успешно добавлен '.htmlspecialchars($operator['name']).' ('.htmlspecialchars($operator['country']).')<br/>';
		} else {
			echo $i.' Ошибка при добавлении '.htmlspecialchars($operator['name']).' ('.htmlspecialchars($operator['country']).')<br/>';
		}
	}
	
	foreach ($operator->range as $range) {
		
		if (!$db->num_rows("SELECT (`id`) FROM `".IP."` WHERE `min`='".intval($range['ip1'])."' AND `max`='".intval($range['ip2'])."' LIMIT 1", 1)) {
			
			$row = $db->fetch_assoc("SELECT `id`, `name`, `country` FROM `".OPERATOR."` ORDER BY `id` DESC LIMIT 1", 1);
			
			if (!$db->query("INSERT INTO `".IP."` SET `oper`='".$row['id']."', `min`='".intval($range['ip1'])."', `max`='".intval($range['ip2'])."'")) {
				echo '<span style="color:red">Ошибка при добавлении диапазона!</span><br/><br/>';
			}
			
		}
		
	}

}

echo '</div>';

$db->query("UPDATE `".SETTINGS."` SET `update_base`='".strtotime($GLOBALS['last_mod'])."' WHERE `id`='1'");

require_footer (ROOT, 'Админ-панель');
?>