<?php
/**
 * NesCat (Nesquik catalog) 0.1 stable
 *
 * Система представляет собой скрипт для каталога сайтов
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: Провокатор
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

/* Подключаем системный файл */
if (file_exists('../__incfiles/core.php')) {
	require_once ('../__incfiles/core.php');
} else {
	exit ('Немогу подключить системный файл!');
}

define('ROOT', PATH.'/admin');
define('IPFILE', ROOT.'/ip.xhtml');

access ('base_ip');

switch ($act) {

	default:

	$count = $db->result("SELECT COUNT(`id`) FROM `".IP."`", 1);

	require_header ('Управление базой IP');
	echo '<div class="main"><b>Всего диапазонов: '.$count.'</b><br/>Последнее обновление: '.clock($set['update_base']).'</div>';

	$k_page = k_page($count, 10); 
	$page = page($k_page);

	$sql = $db->query("SELECT `i`.`id`, `i`.`min`, `i`.`max`, `o`.`name` AS `operator` FROM `".IP."` AS `i` LEFT JOIN `".OPERATOR."` AS `o` ON (`i`.`oper`=`o`.`id`) GROUP BY `i`.`id` ORDER BY `i`.`id` ASC LIMIT ".(10 * $page - 10).",  10");

	if ($db->num_rows($sql) == 0) {
		echo '<div class="error">База IP операторов пуста!</div>';
	} else {

		echo '<table class="table"><tr><td>ID</td><td>Оператор</td><td>IP-min</td><td>IP-max</td><td>Действие</td></tr>';
		while ($row = $db->fetch_assoc($sql)) {
			echo '<tr><td>'.$row['id'].'</td><td>'.htmlspecialchars($row['operator']).'</td><td>'.intval($row['min']).'</td><td>'.intval($row['max']).'</td><td><a href="'.IPFILE.'/edit/'.$row['id'].'/">Изменить</a>/<a href="'.IPFILE.'/delete/'.$row['id'].'/">Удалить</a></td></tr>';
		}
		echo '</table>
		<div class="main"><a href="'.ROOT.'/base_update.xhtml">Обновить базу</a> (Обновлена: '.clock($set['update_base']).')</div>';
		
		if ($k_page > 1) {
			navigation(IPFILE.'/', $k_page, $page);
		}
	}

	require_footer (ROOT.'/index.xhtml', 'Админ-панель');

	break;
	
	case 'edit':
	
	$sql = $db->query("SELECT * FROM `".IP."` WHERE `id`='".$id."'");
	
	if ($db->num_rows($sql)) {
		$row = $db->fetch_assoc($sql);
	} else {
		error ('Такого диапазона не существует!', IPFILE, 'IP-операторы');
	}
	
	require_header ('Изменение диапазона, ID: '.$id);
	
	if (isset($_POST['submit'])) {
	
		$error = '';
		
		if (!$db->num_rows("SELECT (`id`) FROM `".OPERATOR."` WHERE `id`='".intval($_POST['oper'])."'", 1)) {
			$error .= 'Такого оператора нет в базе!<br/>';
		}
		
		if (!preg_match('/(^\d{10}+)$/', $_POST['min'])) {
			$error .= 'Не верно введен начальный IP!<br/>';
		}
		
		if (!preg_match('/(^\d{10}+)$/', $_POST['max'])) {
			$error .= 'Не верно введен максимальный IP!';
		}
		
		if ($error) {
			echo '<div class="error"><b>Возникшие ошибки:</b><br/>'.$error.'</div>';
		} else {
			
			if ($db->query("UPDATE `".IP."` SET `oper`='".intval($_POST['oper'])."', `min`='".intval($_POST['min'])."', `max`='".intval($_POST['max'])."' WHERE `id`='".$id."'")) {
				echo '<div class="line"><b>Диапазон успешно обновлен!</b></div>';
				header ('Refresh: 1, url='.IPFILE);
			} else {
				echo '<div class="error">Ошибка при обновлении диапазона!<br/><b>'.$db->SQLerror().'</b></div>';
			}
		
		}
	
	}
	
	echo '<form class="menu" action="" method="post">
	<b>Оператор</b>:<br/><select name="oper">';
	$result = $db->query("SELECT `id`, `name` FROM `".OPERATOR."` ORDER BY `id` ASC");
	while ($operator = $db->fetch_assoc($result)) {
		echo '<option value="'.$operator['id'].'">'.htmlspecialchars($operator['name']).'</option>';
	}
	echo '</select><br/>
	<b>IP-min</b>:<br/><input type="text" name="min" maxlength="10" value="'.intval($row['min']).'"/><br/>
	<b>IP-max</b>:<br/><input type="text" name="max" maxlength="10" value="'.intval($row['max']).'"/><br/>
	<input type="submit" name="submit" value="Сохранить"/>
	</form>';
	
	require_footer (IPFILE, 'IP-операторы');
	
	break;
	
	case 'delete':
	
	$sql = $db->query("SELECT (`id`) FROM `".IP."` WHERE `id`='".$id."'");
	
	if ($db->num_rows($sql)) {
		$row = $db->fetch_assoc($sql);
	} else {
		error ('Такого диапазона не существует!', IPFILE, 'IP-операторы');
	}
	
	require_header ('Удаление диапазона, ID: '.$id);
	
	if (isset($_POST['delete'])) {
	
		if ($db->query("DELETE FROM `".IP."` WHERE `id`='".$id."'")) {
			echo '<div class="line"><b>Диапазон успешно удален!</b></div>';
			header ('Refresh: 1, url='.IPFILE);
		} else {
			echo '<div class="error">Ошибка при удалении диапазона!<br/><b>'.$db->SQLerror().'</b></div>';
		}
	
	}
	
	echo '<form class="menu" action="" method="post">
	<b>Вы действительно хотите удалить данный диапазон?</b><br/>
	<input type="submit" name="delete" value="Да"/> <a href="'.IPFILE.'"><input type="button" value="Нет"/></a>
	</form>';
	
	require_footer (IPFILE, 'IP-операторы');
	
	break;

}
?>