<?php
/**
 * NesCat (Nesquik catalog) 0.1 stable
 *
 * Система представляет собой скрипт для каталога сайтов
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: Провокатор
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

/* Подключаем системный файл */
if (file_exists('../__incfiles/core.php')) {
	require_once ('../__incfiles/core.php');
} else {
	exit ('Немогу подключить системный файл!');
}

define('ROOT', PATH.'/admin');
define('LOGSFILE', ROOT.'/logs.xhtml');

access ('logs');

if (isset($_GET['type'])) {
	if ($_GET['type'] == 'in') {
		$type = 'in';
	} else {
		$type = 'out';
	}
} else {
	$type = false;
}

if ($type) {

	$count = $db->result("SELECT COUNT(`id`) FROM `".LOGS."` WHERE `date`=CURDATE() AND `type`='".$type."'", 1);

	require_header ('Логин переходов '.($type == 'in' ? 'в каталог' : 'из каталога'));
	echo '<div class="main"><b>Всего переходов:</b> '.$count.'</div>';
	
	$k_page = k_page($count, 10); 
	$page = page($k_page);
	
	$sql = $db->query("SELECT `l`.*, `s`.`url` FROM `".LOGS."` AS `l` LEFT JOIN `".SITE."` AS `s` ON (`l`.`ref`=`s`.`id`) WHERE `l`.`date`=CURDATE() AND `l`.`type`='".$type."' LIMIT ".(10 * $page - 10).", 10");
	
	if ($db->num_rows($sql) == 0) {
		echo '<div class="error">Нет логов переходов!</div>';
	} else {
		
		$phone = array('Другие', 'SONYERICSSON', 'Nokia', 'Samsung', 'SIE', 'Motorolla', 'LG', 'SHARP', 'Panasonic', 'Sagem', 'Pantech', 'NEC', 'BENQ', 'Fly');
		
		echo '<table class="table"><tr><td>Площадка</td><td>IP-адрес</td><td>User-Agent</td><td>Оператор</td><td>Страна</td><td>Модель</td><td>Пришел с</td></tr>';
		
		while ($row = $db->fetch_assoc($sql)) {
			$operator = $db->fetch_assoc("SELECT `name`, `country` FROM `".OPERATOR."` WHERE `id`='".$row['oper']."'", 1);
			echo '<tr><td>'.strtok(str_ireplace('http://', '', htmlspecialchars($row['url'])), '/').'</td><td>'.long2ip($row['ip']).'</td><td>'.htmlspecialchars($row['user_agent']).'</td><td>'.(empty($operator['name']) ? '-' : htmlspecialchars($operator['name'])).'</td><td>'.(empty($operator['country']) ? '-' : htmlspecialchars($operator['country'])).'</td><td>'.$phone[$row['phone']].'</td><td>'.(empty($row['referer']) ? '-' : htmlspecialchars($row['referer'])).'</td></tr>';
		}
		
		echo '</table>';
		
		if ($k_page > 1) {
			navigation(LOGSFILE.'/'.$type.'/', $k_page, $page);
		}
	
	}
	
	require_footer (LOGSFILE, 'Логи переходов');

} else {

	require_header ('Управление логами переходов');
	
	echo '<div class="line">
	<a href="'.LOGSFILE.'?type=in">Переходы в каталог</a> ['.$db->result("SELECT COUNT(`id`) FROM `".LOGS."` WHERE `type`='in' AND `date`=CURDATE()", 1).']<br/>
	<a href="'.LOGSFILE.'?type=out">Переходы из каталога</a> ['.$db->result("SELECT COUNT(`id`) FROM `".LOGS."` WHERE `type`='out' AND `date`=CURDATE()", 1).']</div>';
	
	require_footer (ROOT.'/index.xhtml', 'Админ-панель');
	
}
?>