<?php
/**
 * NesCat (Nesquik catalog) 0.1 stable
 *
 * Система представляет собой скрипт для каталога сайтов
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: Провокатор
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

/* Подключаем системный файл */
if (file_exists('../__incfiles/core.php')) {
	require_once ('../__incfiles/core.php');
} else {
	exit ('Немогу подключить системный файл!');
}

define('ROOT', PATH.'/admin');
define('OPERFILE', ROOT.'/operator.xhtml');

access ('base_ip');

switch ($act) {

	default:

	$count = $db->result("SELECT COUNT(`id`) FROM `".OPERATOR."`", 1);

	require_header ('Управление базой IP');
	echo '<div class="main"><b>Всего операторов: '.$count.'</b><br/>Последнее обновление: '.clock($set['update_base']).'</div>';

	$k_page = k_page($count, 10); 
	$page = page($k_page);

	$sql = $db->query("SELECT * FROM `".OPERATOR."` ORDER BY `id` ASC LIMIT ".(10 * $page - 10).",  10");

	if ($db->num_rows($sql) == 0) {
		echo '<div class="error">База IP операторов пуста!</div>';
	} else {

		echo '<table class="table"><tr><td>ID</td><td>Оператор</td><td>Страна</td><td>Действие</td></tr>';
		while ($row = $db->fetch_assoc($sql)) {
			echo '<tr><td>'.$row['id'].'</td><td>'.htmlspecialchars($row['name']).'</td><td>'.htmlspecialchars($row['country']).'</td><td><a href="'.OPERFILE.'/edit/'.$row['id'].'/">Изменить</a>/<a href="'.OPERFILE.'/delete/'.$row['id'].'/">Удалить</a></td></tr>';
		}
		echo '</table>
		<div class="main"><a href="'.ROOT.'/base_update.xhtml">Обновить базу</a> (Обновлена: '.clock($set['update_base']).')</div>';
		
		if ($k_page > 1) {
			navigation(OPERFILE.'/', $k_page, $page);
		}
	}

	require_footer (ROOT.'/index.xhtml', 'Админ-панель');

	break;
	
	case 'edit':
	
	$sql = $db->query("SELECT `name`, `country` FROM `".OPERATOR."` WHERE `id`='".$id."'");
	
	if ($db->num_rows($sql)) {
		$row = $db->fetch_assoc($sql);
	} else {
		error ('Такого оператора не существует!', OPERFILE, 'IP-операторы');
	}
	
	require_header ('Изменение оператора, ID: '.$id);
	
	if (isset($_POST['oper'], $_POST['country'])) {
	
		$error = '';
		
		if (empty($_POST['oper'])) {
			$error .= 'Введите название оператора!<br/>';
		}
		elseif (iconv_strlen($_POST['oper']) < 3) {
			$error .= 'Слишком короткое название оператора!<br/>';
		}
		
		if (empty($_POST['country'])) {
			$error .= 'Введите название страны!';
		}
		elseif (iconv_strlen($_POST['country']) < 3) {
			$error .= 'Слишком короткое название страны!';
		}
		
		if ($error) {
			echo '<div class="error"><b>Возникшие ошибки:</b><br/>'.$error.'</div>';
		} else {
		
			if ($db->query("UPDATE `".OPERATOR."` SET `name`='".$db->escape($_POST['oper'])."', `country`='".$db->escape($_POST['country'])."' WHERE `id`='".$id."'")) {
				echo '<div class="line"><b>Оператор успешно обновлен!</b></div>';
				header ('Refresh: 1, url='.OPERFILE);
			} else {
				echo '<div class="error">Ошибка при изменении оператора!<br/><b>'.$db->SQLerror().'</b></div>';
			}
		
		}
	
	}
	
	echo '<form class="menu" action="" method="post">
	<b>Оператор</b>:<br/><input type="text" name="oper" maxlenth="50" value="'.htmlspecialchars($row['name']).'"/><br/>
	<b>Страна</b>:<br/><input type="text" name="country" maxlenth="50" value="'.htmlspecialchars($row['country']).'"/><br/>
	<input type="submit" value="Сохранить"/>
	</form>';
	
	require_footer (OPERFILE, 'IP-операторы');
	
	break;
	
	case 'delete':
	
	$sql = $db->query("SELECT (`id`) FROM `".OPERATOR."` WHERE `id`='".$id."'");
	
	if ($db->num_rows($sql)) {
		$row = $db->fetch_assoc($sql);
	} else {
		error ('Такого оператора не существует!', OPERFILE, 'IP-операторы');
	}
	
	require_header ('Удаление оператора, ID: '.$id);
	
	if (isset($_POST['delete'])) {
	
		if ($db->query("DELETE FROM `".OPERATOR."` WHERE `id`='".$id."'")) {
			echo '<div class="line"><b>Оператор успешно удален!</b></div>';
			header ('Refresh: 1, url='.IPFILE);
		} else {
			echo '<div class="error">Ошибка при удалении оператора!<br/><b>'.$db->SQLerror().'</b></div>';
		}
	
	}
	
	echo '<form class="menu" action="" method="post">
	<b>Вы действительно хотите удалить данного оператора?</b><br/>
	<input type="submit" name="delete" value="Да"/> <a href="'.OPERFILE.'"><input type="button" value="Нет"/></a>
	</form>';
	
	require_footer (OPERFILE, 'IP-операторы');
	
	break;

}
?>