<?php
/**
 * NesCat (Nesquik catalog) 0.1 stable
 *
 * Система представляет собой скрипт для каталога сайтов
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: Провокатор
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

/* Подключаем системный файл */
if (file_exists('../__incfiles/core.php')) {
	require_once ('../__incfiles/core.php');
} else {
	exit ('Немогу подключить системный файл!');
}

define('ROOT', PATH.'/admin');
define('PLATFORMFILE', ROOT.'/platform.xhtml');

access ('platform');

switch ($act) {

	default:
	
	if (isset($_GET['type'])) {
	
		if ($_GET['type'] == 'moder') {
			$where = "WHERE `status`='0'";
			$type = 'moder/';
		} else {
			$where = "WHERE `status`='2'";
			$type = 'acces/';
		}
	
	} else {
		$where = '';
	}
	
	$count = $db->result("SELECT COUNT(`id`) FROM `".SITE."` ".$where, 1);

	require_header ('Сайты/Площадки');
	echo '<div class="main"><b>Всего площадок</b>: '.$count.'</div>';
	
	$k_page = k_page($count, 10); 
	$page = page($k_page);
	
	$sql = $db->query("SELECT `s`.`id`, `s`.`category`, `s`.`ref`, `s`.`url`, `s`.`status`, `u`.`login`, `c`.`name` AS `cat_name` FROM `".SITE."` AS `s` LEFT JOIN `".USERS."` AS `u` ON (`s`.`ref`=`u`.`id`) LEFT JOIN `".CATEGORY."` AS `c` ON (`s`.`category`=`c`.`id`) ".$where." GROUP BY `s`.`id` ORDER BY `s`.`id` DESC LIMIT ".(10 * $page - 10).", 10");
	
	if ($db->num_rows($sql) == 0) {
		echo '<div class="error">Площадок нет!</div>';
	} else {
		echo '<table class="table"><tr><td>URL</td><td>Админ</td><td>Категория</td><td>Статус</td><td>Действие</td></tr>';
		while ($row = $db->fetch_assoc($sql)) {
			echo '<tr><td>'.strtok(str_ireplace('http://', '', htmlspecialchars($row['url'])), '/').'</td><td><a href="'.ROOT.'/user.xhtml?login='.htmlspecialchars($row['login']).'">'.htmlspecialchars($row['login']).'</a></td><td><a href="'.PATH.'/category/'.$row['category'].'/">'.$row['cat_name'].'</a></td><td>'.status_platform($row['status']).'</td><td><a href="'.PLATFORMFILE.'/edit/'.$row['id'].'/">Изменить</a>/<a href="'.PLATFORMFILE.'/delete/'.$row['id'].'/">Удалить</a></td></tr>';
		}
		echo '</table>';
		if ($k_page > 1) {
			navigation(PLATFORMFILE.'/'.$type, $k_page, $page);
		}
	}

	require_footer (ROOT.'/index.xhtml', 'Админ-панель');

	break;
	
	case 'edit':
	
	$sql = $db->query("SELECT * FROM `".SITE."` WHERE `id`='".$id."'");
	
	if ($db->num_rows($sql)) {
		$row = $db->fetch_assoc($sql);
	} else {
		error ('Площадка не найдена!', PLATFORMFILE, 'Все площадки');
	}
	
	require_header ('Редактировать площадку, ID: '.$id);
	
	if (isset($_POST['submit'])) {
	
		if (empty($_POST['name'])) {
			$error .= 'Введите название площадки!<br/>';
		}
		elseif (iconv_strlen($_POST['name']) < 5 || iconv_strlen($_POST['name']) > 35) {
			$error .= 'Название площадки должно содержать от 5 до 35 символов!<br/>';
		}
		elseif ($db->num_rows("SELECT (`id`) FROM `".SITE."` WHERE `name`='".$db->escape($_POST['name'])."' AND `id`<>'".$id."' LIMIT 1", 1)) {
			$error .= 'Площадка с таким названием уже существует!<br/>';
		}
		
		if (empty($_POST['url'])) {
			$error .= 'Введите адрес площадки!<br/>';
		}
		elseif (!preg_match('~(^http://[a-z0-9\-\.]{2,31}\.[a-z]{2,4}+)$~i', $_POST['url'])) {
			$error .= 'Адрес площадки введен не верно!<br/>';
		}
		elseif ($db->num_rows("SELECT (`id`) FROM `".SITE."` WHERE `url`='".$db->escape($_POST['url'])."' AND `id`<>'".$id."' LIMIT 1", 1)) {
			$error .= 'Площадка с таким URL уже существует!<br/>';
		}
		
		if (empty($_POST['description'])) {
			$error .= 'Введите описание площадки!<br/>';
		}
		elseif (iconv_strlen($_POST['description']) < 10 || iconv_strlen($_POST['description']) > 150) {
			$error .= 'Описание площадки должно содержать от 10 до 150 символов!<br/>';
		}
		elseif ($db->num_rows("SELECT (`id`) FROM `".SITE."` WHERE `description`='".$db->escape($_POST['description'])."' AND `id`<>'".$id."' LIMIT 1", 1)) {
			$error .= 'Площадка с таким описанием уже существует!<br/>';
		}
			
		if (!$db->num_rows("SELECT (`id`) FROM `".CATEGORY."` WHERE `id`='".intval($_POST['category'])."'", 1)) {
			$error .= 'Выбранной категории не существует!<br/>';
		}
		
		if (!$db->num_rows("SELECT (`id`) FROM `".USERS."` WHERE `id`='".intval($_POST['ref'])."'", 1)) {
			$error .= 'Выбранного пользователя не существует!<br/>';
		}
		
		if (!in_array($_POST['status'], range(0, 2))) {
			$error .= 'Не верно выбран статус площадки!<br/>';
		}
	
		if ($error) {
			echo '<div class="error"><b>Возникшие ошибки:</b><br/>'.$error.'</div>';
		} else {
		
			if ($db->query("UPDATE `".SITE."` SET `ref`='".intval($_POST['ref'])."', `category`='".intval($_POST['category'])."', `status`='".intval($_POST['status'])."', `name`='".$db->escape($_POST['name'])."', `description`='".$db->escape($_POST['description'])."', `url`='".$db->escape($_POST['url'])."', `out_all`='".intval($_POST['out_all'])."', `in_all`='".intval($_POST['in_all'])."', `in`='".intval($_POST['in'])."', `out`='".intval($_POST['out'])."', `comment`='".intval($_POST['comment'])."', `stat`='".intval($_POST['stat'])."' WHERE `id`='".$id."'")) {
				echo '<div class="line"><b>Площадка успешно изменена!</b></div>';
				header ('Refresh: 1');
			} else {
				echo '<div class="error">Ошибка при изменении площадки!<br/><b>'.$db->SQLerror().'</b></div>';
			}
		
		}
	
	}
	
	echo '<form class="menu" action="" method="post">
	<b>Название</b>:<br/><input type="text" name="name" value="'.htmlspecialchars($row['name']).'" maxlength="35"/><br/>
	<b>URL-адрес</b>:<br/><input type="text" name="url" value="'.htmlspecialchars($row['url']).'" maxlength="35"/><br/>
	<b>Категория</b>:<br/><select name="category">';
	$result = $db->query("SELECT * FROM `".CATEGORY."` ORDER BY `id` ASC");
	while ($category = $db->fetch_assoc($result)) {
		echo '<option value="'.$category['id'].'" '.select($category['id'], $row['category']).'">'.htmlspecialchars($category['name']).'</option>';
	}
	echo '</select><br/>
	<b>Статус</b>:<br/><select name="status">
	<option value="0" '.select(0, $row['status']).'">На модерации</option>
	<option value="1" '.select(1, $row['status']).'">Активна</option>
	<option value="2" '.select(2, $row['status']).'">Заблокирована</option>
	</select><br/>
	<b>Администратор</b>:<br/><select name="ref">';
	$query = $db->query("SELECT `id`, `login` FROM `".USERS."` ORDER BY `id` ASC");
	while ($admin = $db->fetch_assoc($query)) {
		echo '<option value="'.$admin['id'].'" '.select($admin['id'], $row['ref']).'>'.htmlspecialchars($admin['login']).'</option>';
	}
	echo '</select><br/>
	<b>Описание</b>:<br/><textarea name="description" rows="3" cols="35">'.htmlspecialchars($row['description']).'</textarea><br/>
	<b>Статистика площадки</b>:<br/>
	<table class="table"><tr><td>В каталог</td><td>Из каталога</td><td>Всего в каталог</td><td>Всего из каталога</td></tr>
	<tr><td><input type="text" name="in" value="'.$row['in'].'" maxlength="11" size="3"/></td><td><input type="text" name="out" value="'.$row['out'].'" maxlength="11" size="3"/></td><td><input type="text" name="in_all" value="'.$row['in_all'].'" maxlength="11" size="3"/></td><td><input type="text" name="out_all" value="'.$row['out_all'].'" maxlength="11" size="3"/></td></tr>
	</table>
	<input type="checkbox" name="comment" value="1" '.check(1, $row['comment']).'/> Разрешить добавлять комментарии к площадке<br/>
	<input type="checkbox" name="stat" value="1" '.check(1, $row['stat']).'/> Разрешить просмотр статистики площадки<br/>
	<input type="submit" name="submit" value="Сохранить"/>
	</form>';
	
	require_footer (PLATFORMFILE, 'Все площадки');
	
	break;
	
	case 'delete':
	
	$sql = $db->query("SELECT (`id`) FROM `".SITE."` WHERE `id`='".$id."'");
	
	if ($db->num_rows($sql)) {
	
		require_header ('Удалить площадку, ID: '.$id);
		
		if (isset($_POST['delete'])) {
			if ($db->query("DELETE FROM `".SITE."` WHERE `id`='".$id."'")) {
				echo '<div class="line"><b>Площадка успешно удалена!</b></div>';
				header ('Refresh: 1, url='.PLATFORMFILE);
			} else {
				echo '<div class="error">Ошибка при удалении площадки!<br/><b>'.$db->SQLerror().'</b></div>';
			}
		}
		
		echo '<form class="menu" action="" method="post">
		<b>Вы действительно хотите удалить данную площадку?</b><br/>
		<input type="submit" name="delete" value="Да"/> <a href="'.PLATFORMFILE.'"><input type="button" value="Нет"/>
		</form>';
		
		require_footer (PLATFORMFILE, 'Все площадки');
	
	} else {
		error ('Площадка не найдена!', PLATFORMFILE, 'Все площадки');
	}
	
	break;

}
?>