<?php
/**
 * NesCat (Nesquik catalog) 0.1 stable
 *
 * Система представляет собой скрипт для каталога сайтов
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: Провокатор
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

/* Подключаем системный файл */
if (file_exists('../__incfiles/core.php')) {
	require_once ('../__incfiles/core.php');
} else {
	exit ('Немогу подключить системный файл!');
}

define('ROOT', PATH.'/admin');
define('PROFILEFILE', ROOT.'/profile.xhtml');

access ('user');

switch ($act) {

	default:

	if ($id) {
		
		$sql = $db->query("SELECT * FROM `".USERS."` WHERE `id`='".$id."'");
		
		if ($db->num_rows($sql)) {
			$row = $db->fetch_assoc($sql);
			
			require_header ('Управление пользователем, ID: '.$id);
			
			if (isset($_POST['submit'])) {
			
				if (empty($_POST['login'])) {
					$error .= 'Логин не должен быть пустым!<br/>';
				}
				elseif (!preg_match('/(^[a-zA-Z0-9\-_]{3,13}+)$/', $_POST['login'])) {
					$error .= 'Логин должен быть формата _a-Z0-9- не менее 3 и не более 13 символов!<br/>';
				}
				elseif ($db->num_rows("SELECT (`id`) FROM `".USERS."` WHERE `login`='".$db->escape($_POST['login'])."' AND `id`<>'".$id."' LIMIT 1", 1)) {
					$error .= 'Пользователь с логином "'.htmlspecialchars($_POST['login']).'" уже зарегистрирован!<br/>';
				}
				
				if (empty($_POST['email'])) {
					$error .= 'E-mail не должен быть пустым!<br/>';
				}
				elseif (!preg_match('|^([a-z0-9_\.\-]{1,20})@([a-z0-9\.\-]{1,20})\.([a-z]{2,4})$|ius', $_POST['email'])) {
					$error .= 'E-mail должен быть вида login@example.com!<br/>';
				}
				elseif ($db->num_rows("SELECT (`id`) FROM `".USERS."` WHERE `email`='".$db->escape($_POST['email'])."' AND `id`<>'".$id."' LIMIT 1", 1)) {
					$error .= 'Пользователь с почтовым адресом "'.htmlspecialchars($_POST['email']).'" уже зарегистрирован!<br/>';
				}
				
				if ($error) {
					echo '<div class="error"><b>Возникшие ошибки:</b><br/>'.$error.'</div>';
				} else {
				
					if ($row['admin'] !== 1 && $_POST['status'] == 2) {
						$status = 2;
					} else {
						$status = 0;
					}
				
					if ($db->query("UPDATE `".USERS."` SET `login`='".$db->escape($_POST['login'])."', `email`='".$db->escape($_POST['email'])."', `admin`='".$status."' WHERE `id`='".$id."'")) {
						echo '<div class="line"><b>Данные успешно сохранены!</b></div>';
						header ('Refresh: 1');
					} else {
						echo '<div class="error">Ошибка при изменении пользователя!<br/><b>'.$db->SQLerror().'</b></div>';
					}
				}
			
			} else {
				if ($row['admin'] != 1) {
					echo '<div class="main"><a href="'.PROFILEFILE.'/delete/'.$id.'/">Удалить пользователя</a></div>';
				}
			}
			
			echo '<form class="menu" action="" method="post">
			<b>Логин</b>:<br/><input type="text" name="login" value="'.htmlspecialchars($row['login']).'" maxlength="13"/><br/>
			<b>E-mail</b>:<br/><input type="text" name="email" value="'.htmlspecialchars($row['email']).'" maxlength="44"/><br/>';
			
			if ($row['admin'] != 1) {
				echo '<b>Статус</b>:<br/><select name="status">
				<option value="0" '.select(0, $row['admin']).'>Пользователь</option>
				<option value="2" '.select(2, $row['admin']).'>Модератор</option>
				</select><br/>';
			}
			
			echo '<input type="submit" name="submit" value="Сохранить"/>
			</form>';
			
			if ($row['admin'] != 1) {
				echo '<div class="title">Изменить пароль</div>';
				
				if (isset($_POST['password'], $_POST['last_password'])) {
				
					$error = '';
					
					if (empty($_POST['password'])) {
						$error .= 'Введите текущий пароль!<br/>';
					}
					elseif (!preg_match('/(^[a-zA-Z0-9\-_]{3,13}+)$/', $_POST['password'])) {
						$error .= 'Пароль долен содержать символы _a-Z0-9- не менее 4 и не более 15 символов!<br/>';
					}
						
					if (empty($_POST['last_password'])) {
						$error .= 'Введите проверочный пароль!<br/>';
					}
					elseif (!preg_match('/(^[a-zA-Z0-9\-_]{3,13}+)$/', $_POST['last_password'])) {
						$error .= 'Проверочный пароль долен содержать символы _a-Z0-9- не менее 4 и не более 15 символов!<br/>';
					}
					elseif ($_POST['last_password'] != $_POST['password']) {
						$error .= 'Проверочный пароль введен не верно!<br/>';
					}
					
					if ($error) {
						echo '<div class="error"><b>Возникшие ошибки:</b><br/>'.$error.'</div>';
					} else {
					
						if ($db->query("UPDATE `".USERS."` SET `password`='".$db->escape(md5($_POST['password']))."' WHERE `id`='".$id."' LIMIT 1")) {
							echo '<div class="line"><b>Пароль успешно изменен!</b></div>';
							header ('Refresh: 1');
						} else {
							echo '<div class="error">Ошибка при изменении пароля!<br/><b>'.$db->SQLerror().'</b></div>';
						}
					
					}
				
				}
				
				echo '<form class="menu" action="" method="post">
				<b>Новый пароль</b>:<br/><input type="password" name="password" maxlength="15"/><br/>
				<b>Повторите пароль</b>:<br/><input type="password" name="last_password" maxlength="15"/><br/>
				<input type="submit" value="Изменить"/>
				</form>';
			}
			
			require_footer (PROFILEFILE, 'Управление пользователем');
		
		} else {
			error ('Пользователь с ID '.$id.' не найден!', PROFILEFILE, 'Управление пользователем');
		}

	} else {
		require_header ('Управление пользователем');
		echo '<form class="menu" action="" method="get">
		<b>ID пользователя</b>:<br/><input type="text" name="id" maxlength="10"/><br/>
		<input type="submit" value="Редактировать"/>
		</form>';
		require_footer (ROOT.'/index.xhtml', 'Админ-панель');
	}

	break;

	case 'delete':

	$sql = $db->query("SELECT (`admin`) FROM `".USERS."` WHERE `id`='".$id."'");
	
	if ($db->num_rows($sql)) {
		$row = $db->fetch_assoc($sql);
		
		if ($row['admin'] == 1) {
			error ('Нельзя удалить главного администратора!', PROFILEFILE, 'Управление пользователем');
		}

		require_header ('Удалить пользователя, ID: '.$id);
		
		if (isset($_POST['delete'])) {
		
			if ($db->query("DELETE FROM `".USERS."` WHERE `id`='".$id."'")) {
				echo '<div class="line"><b>Пользователь успешно удален!</b></div>';
				header ('Refresh: 1, url='.PROFILEFILE);
			} else {
				echo '<div class="error">Ошибка при удалении пользователя!<br/><b>'.$db->SQLerror().'</b></div>';
			}
		
		}
		
		echo '<form class="menu" action="" method="post">
		<b>Вы действительно хотите удалить пользователя ID '.$id.'?</b><br/>
		<input type="submit" name="delete" value="Да"/> <a href="'.PROFILEFILE.'"><input type="button" value="Нет"/></a>
		</form>';
		
		require_footer (PROFILEFILE, 'Управление пользователем');
		
	} else {
		error ('Пользователь не найден!', PROFILEFILE, 'Управление пользователем');
	}
	
	break;
}
?>