<?php
/**
 * NesCat (Nesquik catalog) 0.1 stable
 *
 * Система представляет собой скрипт для каталога сайтов
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: Провокатор
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

/* Подключаем системный файл */
if (file_exists('../__incfiles/core.php')) {
	require_once ('../__incfiles/core.php');
} else {
	exit ('Немогу подключить системный файл!');
}

define('ROOT', PATH.'/admin');
define('TICKETFILE', ROOT.'/ticket.xhtml');

access ('ticket');

switch ($act) {

	default:

	if ($id) {
	
		$sql = $db->query("SELECT `t`.*, `u`.`login` FROM `".TICKET."` AS `t` INNER JOIN `".USERS."` AS `u` ON (`t`.`ref`=`u`.`id`) WHERE `t`.`id`='".$id."'");
		
		if ($db->num_rows($sql)) {
			$ticket = $db->fetch_assoc($sql);
		} else {
			error ('Тикет не найден!', TICKETFILE, 'Управление тикетами');
		}
		
		unset($sql);
		
		require_header ('Тикет, ID: '.$id);
		
		echo '<div class="menu">
		<b>Написал</b>: <a href="'.ROOT.'/user.xhtml?login='.htmlspecialchars($ticket['login']).'">'.htmlspecialchars($ticket['login']).'</a><br/>
		<b>Добавлен</b>: '.clock($ticket['date']).'<br/>
		<b>E-mail для ответа</b>: '.htmlspecialchars($ticket['email']).'<br/>
		<b>Статус</b>: '.($ticket['close'] ? 'закрыт' : 'открыт').' ['.($ticket['close'] ? '<a href="'.TICKETFILE.'/open/'.$id.'/">открыть</a>' : '<a href="'.TICKETFILE.'/close/'.$id.'/">закрыть</a>').']<br/>
		<b>Сообщение</b>: '.nl2br(bbcode(smiles(htmlspecialchars($ticket['text'])))).'</div>
		
		<div class="title">Комментарии к тикету</div>';
		
		$count = $db->result("SELECT COUNT(`id`) FROM `".TICKETMSG."` WHERE `ref`='".$id."'", 1);
		
		$k_page = k_page($count, 5);
		$page = page($k_page);
		
		$sql = $db->query("SELECT * FROM `".TICKETMSG."` WHERE `ref`='".$id."' LIMIT ".(5 * $page - 5).", 5");
		
		if ($db->num_rows($sql) == 0) {
			echo '<div class="error">Комментариев к данному тикету - нет!</div>';
		} else {
		
			while ($row = $db->fetch_assoc($sql)) {
				echo '<div class="alt"><b>'.htmlspecialchars($row['login']).'</b> ['.clock($row['date']).']</div>
				<div class="line">'.nl2br(bbcode(smiles(htmlspecialchars($row['text'])))).'<br/>
				<small><a href="'.TICKETFILE.'/edit_comment/'.$row['id'].'/">Изменить</a> / <a href="'.TICKETFILE.'/delete_comment/'.$row['id'].'/">Удалить</a></small></div>';
			}
			
			if ($k_page > 1) {
				navigation(TICKETFILE.'/'.$id.'/', $k_page, $page);
			}
		
		}
		
		if (isset($_POST['text'])) {
		
			$error = '';
			
			if (empty($_POST['text'])) {
				$error .= 'Введите сообщение!';
			}
			elseif (iconv_strlen($_POST['text']) < 5) {
				$error .= 'Слишком короткое сообщение!';
			}
			
			if ($error) {
				echo '<div class="error"><b>Возникшие ошибки:</b><br/>'.$error.'</div>';
			} else {
			
				if ($db->query("INSERT INTO `".TICKETMSG."` SET `date`='".time()."', `ref`='".$id."', `login`='".$db->escape($user['login'])."', `text`='".$db->escape($_POST['text'])."'")) {
					
					if ($ticket['status'] == 0) {
						$db->query("UPDATE `".TICKET."` SET `status`='1' WHERE `id`='".$id."'");
					}
					
					$mail = array(
					'email' => $ticket['email'],
					'theme' => 'Ответ на тикет №'.$id,
					'message' => 'На ваш вопрос был дан ответ!'."\n".'Подробнее: '.PATH.'/profile/ticket.xhtml/'.$id.'/'
					);
					
					mailto ($mail['email'], $mail['theme'], $mail['message']);
					
					echo '<div class="line"><b>Комментарий успешно добавлен!</b></div>';
					header ('Refresh: 1, url='.TICKETFILE.'/'.$id.'/');
				} else {
					echo '<div class="error">Ошибка при добавлении сообщения!<br/><b>'.$db->SQLerror().'</b></div>';
				}
			
			}
		
		}
		
		echo '<form class="menu" action="" method="post">
		<b>Комментарий</b>: [<small><a href="'.PATH.'/catalog.xhtml/smiles/">Смайлы</a> / <a href="'.PATH.'/catalog.xhtml/bbcode/">ББ-коды</a></small>]<br/><textarea name="text" rows="2" cols="70"></textarea><br/>
		<input type="submit" value="Добавить"/>
		</form>';
		
		require_footer (TICKETFILE, 'Управление тикетами');
	
	} else {
		
		require_header ('Управление тикетами');
		
		$count = $db->result("SELECT COUNT(`id`) FROM `".TICKET."`", 1);
		
		require_header ('Мои тикеты');
		echo '<div class="main"><b>Всего тикетов</b>: '.$count.'</div>';
		
		$k_page = k_page($count, 10);
		$page = page($k_page);
		
		$sql = $db->query("SELECT `id`,`date`,`name`,`status`,`close` FROM `".TICKET."` ORDER BY `id` DESC LIMIT ".(10 * $page - 10).", 10");

		if ($db->num_rows($sql) == 0) {
			echo '<div class="error">Нет ниодного тикета!</div>';
		} else {
		
			echo '<table class="table"><tr><td>Время</td><td>Название</td><td>Статус</td><td>Действие</td></tr>';
			while ($row = $db->fetch_assoc($sql)) {
				echo '<tr><td>'.clock($row['date']).'</td><td><a href="'.TICKETFILE.'/'.$row['id'].'/">'.htmlspecialchars($row['name']).'</a></td><td>'.($row['status'] ? 'Отвеченно' : 'Ожидает ответа').'</td><td>'.($row['close'] ? '<a href="'.TICKETFILE.'/open/'.$row['id'].'/">Открыть</a>' : '<a href="'.TICKETFILE.'/close/'.$row['id'].'/">Закрыть</a>').'</td></tr>';
			}
			echo '</table>';
			
			if ($k_page > 1) {
				navigation(TICKETFILE.'/', $k_page, $page);
			}
			
		}

		require_footer (ROOT.'/index.xhtml', 'Админ-панель');

	}
	
	break;
	
	case 'close': case 'open':
	
	if (!$db->num_rows("SELECT (`id`) FROM `".TICKET."` WHERE `id`='".$id."'", 1)) {
		error ('Тикет не найден', TICKETFILE, 'Управление тикетами');
	}
	
	require_header (($act == 'close' ? 'Закрыть' : 'Открыть').' тикет, ID: '.$id);
	
	if (isset($_POST['yes'])) {
	
		if ($db->query("UPDATE `".TICKET."` SET `close`='".($act == 'close' ? 1 : 0)."' WHERE `id`='".$id."'")) {
			echo '<div class="line"><b>Тикет успешно '.($act == 'close' ? 'закрыт' : 'открыт').'</b></div>';
			header ('Refresh: 1, url='.TICKETFILE.'/'.$id.'/');
		} else {
			echo '<div class="error">Ошибка при '.($act == 'close' ? 'закрытии' : 'открытии').' тикета!<br/><b>'.$db->SQLerror().'</b></div>';
		}
	
	}
	
	echo '<form class="menu" action="" method="post">
	<b>Вы действительно хотите '.($act == 'close' ? 'закрыть' : 'открыть').' данный тикет?</b><br/>
	<input type="submit" name="yes" value="Да"/> <a href="'.TICKETFILE.'/'.$id.'/"><input type="button" value="Нет"/></a>
	</form>';
	
	require_footer (TICKETFILE.'/'.$id.'/', 'К тикету');
	
	break;
	
	case 'edit_comment':
	
	$sql = $db->query("SELECT `ref`,`text` FROM `".TICKETMSG."` WHERE `id`='".$id."'");
	
	if ($db->num_rows($sql)) {
		$row = $db->fetch_assoc($sql);
	} else {
		error ('Комментарий не найден!', TICKETFILE, 'Управление тикетами');
	}
	
	require_header ('Изменить комментарий, ID: '.$id);

	if (isset($_POST['text'])) {
		
		$error = '';
			
		if (empty($_POST['text'])) {
			$error .= 'Введите сообщение!';
		}
		elseif (iconv_strlen($_POST['text']) < 5) {
			$error .= 'Слишком короткое сообщение!';
		}
			
		if ($error) {
			echo '<div class="error"><b>Возникшие ошибки:</b><br/>'.$error.'</div>';
		} else {
			
			if ($db->query("UPDATE `".TICKETMSG."` SET `text`='".$db->escape($_POST['text'])."' WHERE `id`='".$id."'")) {
				echo '<div class="line"><b>Комментарий успешно изменен!</b></div>';
				header ('Refresh: 1, url='.TICKETFILE.'/'.$row['ref'].'/');
			} else {
				echo '<div class="error">Ошибка при изменении сообщения!<br/><b>'.$db->SQLerror().'</b></div>';
			}
			
		}
		
	}
	
	echo '<form class="menu" action="" method="post">
	<b>Комментарий</b>: [<small><a href="'.PATH.'/catalog.xhtml/smiles/">Смайлы</a> / <a href="'.PATH.'/catalog.xhtml/bbcode/">ББ-коды</a></small>]<br/><textarea name="text" rows="4" cols="70">'.htmlspecialchars($row['text']).'</textarea><br/>
	<input type="submit" value="Изменить"/>
	</form>';
	
	require_footer (TICKETFILE.'/'.$row['ref'].'/', 'К тикету');
	
	break;
	
	case 'delete_comment':
	
	$sql = $db->query("SELECT (`ref`) FROM `".TICKETMSG."` WHERE `id`='".$id."'");
	
	if ($db->num_rows($sql)) {
		$row = $db->fetch_assoc($sql);
	} else {
		error ('Комментарий не найден!', TICKETFILE, 'Управление тикетами');
	}
	
	require_header ('Удалить комментарий, ID: '.$id);
	
	if (isset($_POST['delete'])) {
	
		if ($db->query("DELETE FROM `".TICKETMSG."` WHERE `id`='".$id."'")) {
			echo '<div class="line"><b>Комментарий успешно удален!</b></div>';
			header ('Refresh: 1, url='.TICKETFILE.'/'.$row['ref'].'/');
		} else {
			echo '<div class="error">Ошибка при удалении комментария!<br/><b>'.$db->SQLerror().'</b></div>';
		}
	
	}
	
	echo '<form class="menu" action="" method="post">
	<b>Вы действительно хотите удалить данный комментарий?</b><br/>
	<input type="submit" name="delete" value="Да"/> <a href="'.TICKETFILE.'/'.$row['ref'].'/"><input type="button" value="Нет"/></a>
	</form>';
	
	require_footer (TICKETFILE.'/'.$row['ref'].'/', 'К тикету');
	
	break;

}
?>