<?php
/**
 * NesCat (Nesquik catalog) 0.1 stable
 *
 * Система представляет собой скрипт для каталога сайтов
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: Провокатор
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

/* Подключаем системный файл */
if (file_exists('../__incfiles/core.php')) {
	require_once ('../__incfiles/core.php');
} else {
	exit ('Немогу подключить системный файл!');
}

define('ROOT', PATH.'/admin');
define('USERFILE', ROOT.'/user.xhtml');

access ('user');

$_GET['desc'] = isset($_GET['desc']) ? $_GET['desc'] : '';
$_GET['sort'] = isset($_GET['sort']) ? $_GET['sort'] : '';

if ($_GET['desc'] == 2) {
	$desc = 'desc';
} else {
	$desc = '';
}

if ($_GET['sort'] == 1) {
	$sort = 'date_reg';
} elseif ($_GET['sort'] == 2) {
	$sort = 'admin';
} else {
	$sort = 'id';
}

$login = isset($_GET['login']) && empty($_GET['login']) ? "ORDER BY `".$sort."` ".$desc : "WHERE `login` LIKE '%".$db->escape($_GET['login'])."%'";

$count = $db->result("SELECT COUNT(`id`) FROM `".USERS."`", 1);

require_header ('Все пользователи каталога');
echo '<div class="main"><b>Всего пользователей</b>: '.$count.'</div>';

$k_page = k_page($count, 10); 
$page = page($k_page);

$sql = $db->query("SELECT * FROM `".USERS."` ".$login." LIMIT ".(10 * $page - 10).",  10");

if ($db->num_rows($sql) == 0) {
	echo '<div class="error">Пользователей нет!</div>';
} else {

	echo '<table class="table"><tr><td>ID</td><td>Логин</td><td>E-mail</td><td>Статус</td><td>Действие</td></tr>';

	while ($row = $db->fetch_assoc($sql)) {
		echo '<tr><td>'.$row['id'].'</td><td>'.htmlspecialchars($row['login']).'</td><td>'.htmlspecialchars($row['email']).'</td><td>'.user_status($row['admin']).'</td><td><a href="'.ROOT.'/profile.xhtml/'.$row['id'].'/">Изменить</a>'.($row['admin'] == 1 ? null : '/<a href="'.ROOT.'/profile.xhtml/delete/'.$row['id'].'/">Удалить</a>').'</td></tr>';
	}
	
	echo '</table>';
	
	if ($k_page > 1) {
		navigation(USERFILE.'/', $k_page, $page);
	}
	
	echo '<form class="main" action="" method="get">
	<b>Сортировать по</b>:<br/><select name="sort">
	<option value="1" '.select(1, $_GET['sort']).'">Дате регистр.</option>
	<option value="2" '.select(2, $_GET['sort']).'">По статусу</option>
	</select> <select name="desc">
	<option value="1" '.select(1, $_GET['desc']).'>По возрастанию</option>
	<option value="2" '.select(2, $_GET['desc']).'>По убыванию</option>
	</select><br/>
	<b>Логин пользователя</b>:<br/><input type="text" name="login" '.(isset($_GET['login']) ? 'value="'.htmlspecialchars($_GET['login']).'"' : '').' maxlength="13"/><br/>
	<input type="submit" value="Сортировать"/>
	</form>';
}

require_footer (ROOT.'/index.xhtml', 'Админ-панель');
?>