<?php
/**
 * NesCat (Nesquik catalog) 0.1 stable
 *
 * Система представляет собой скрипт для каталога сайтов
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: Провокатор
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

/* Подключаем системный файл */
if (file_exists('__incfiles/core.php')) {
	require_once ('__incfiles/core.php');
} else {
	exit ('Немогу подключить системный файл!');
}

$sql = $db->query("SELECT (`comment`) FROM `".SITE."` WHERE `id`='".$id."'");

if ($db->num_rows($sql)) {
	$platform = $db->fetch_assoc($sql);
} else {
	error ('Площадка с ID '.$id.' не найдена!', PATH, 'На главную');
}

if ($platform['comment'] == 0) {
	error ('Комментарии для данного сайта отключены!', PATH, 'На главную');
}

unset($sql);

switch ($act) {

	default:
	
	require_header ('Отзывы к сайту, ID: '.$id);

	echo '<div class="main"><a href="'.PATH.'/comment/'.$id.'/add/"><b>Добавить отзыв</b></a></div>';
	
	$k_page = k_page($db->result("SELECT COUNT(`id`) FROM `".COMMENT."` WHERE `ref`='".$id."'", 1), $set['comment']); 
	$page = page($k_page);

	$sql = $db->query("SELECT * FROM `".COMMENT."` WHERE `ref`='".$id."' ORDER BY `id` DESC LIMIT ".($set['comment'] * $page - $set['comment']).", ".$set['comment']);

	if ($db->num_rows($sql) == 0) {
		echo '<div class="error">Для сайта ID '.$id.' нет ниодного отзыва!</div>';
	} else {
		
		while ($row = $db->fetch_assoc($sql)) {

			echo '<div class="alt"><a><b>'.htmlspecialchars($row['name']).'</b></a> ['.clock($row['date']).']</div>
			<div class="line">Статус: '.($row['true'] ? '<span style="color:green">Положительный</span>' : '<span style="color:red">Отрицательный</span>').'<br/>'.nl2br(bbcode(smiles(htmlspecialchars($row['text'])))).'</div>';
		}
		
		if ($k_page > 1) {
			navigation(PATH.'/comment/'.$id.'/', $k_page, $page);
		}
		
	}

	require_footer (PATH, 'На главную');
	
	break;
	
	case 'add':
	
	require_header ('Отзыва для ID: '.$id);
	
	if (isset($_POST['submit'])) {
	
		$error = '';
		
		if (isset($_SESSION['comment']) && $_SESSION['comment'] > (time() - 60)) {
			$error .= 'Следующий комментарий можно будет добавить через '.($_SESSION['comment'] - (time() - 60)).'сек!<br/>';
		}
		
		if (empty($_POST['login'])) {
			$error .= 'Введите ваш логин!<br/>';
		}
		elseif (!preg_match('/(^[a-zA-Z0-9\-_]{3,13}+)$/', $_POST['login'])) {
			$error .= 'Логин должен быть формата _a-Z0-9- не менее 3 и не более 13 символов!<br/>';
		}
		
		if (!in_array($_POST['status'], range(0, 1))) {
			$error .= 'Выберите статус отзыва!<br/>';
		}
		
		if (empty($_POST['text'])) {
			$error .= 'Комментарий не должен быть пустым!<br/>';
		}
		elseif (iconv_strlen($_POST['text']) < 10) {
			$error .= 'Слишком короткий комментарий!<br/>';
		}
		
		if ($error) {
			echo '<div class="error"><b>Возникшие ошибки:</b><br/>'.$error.'</div>';
		} else {
		
			$status = $_POST['status'] ? "`false`='1'" : "`true`='1'";
		
			if ($db->query("INSERT INTO `".COMMENT."` SET `date`='".time()."', `ref`='".$id."', `name`='".$db->escape($_POST['login'])."', ".$status.", `text`='".$db->escape($_POST['text'])."'")) {
				$_SESSION['comment'] = time();
				echo '<div class="line"><b>Комментарий успешно добавлен!</b></div>';
				header ('Refresh: 1, url='.PATH.'/comment/'.$id.'/');
			} else {
				echo '<div class="error">Ошибка при добавлении комментария!<br/><b>'.$db->SQLerror().'</b></div>';
			}
		
		}
	
	}
	
	echo '<form class="menu" action="" method="post">
	<b>Логин</b>:<br/><input type="text" name="login" '.(isset($_SESSION['login']) ? 'value="'.htmlspecialchars($_SESSION['login']).'"' : '').' maxlength="13"/><br/>
	<b>Отзыв</b>:<br/><select name="status">
	<option value="0">Положительный</option>
	<option value="1">Отрицательный</option>
	</select><br/>
	<b>Комментарий</b>: [<small><a href="'.PATH.'/catalog.xhtml/smiles/">Смайлы</a> / <a href="'.PATH.'/catalog.xhtml/bbcode/">ББ-коды</a></small>]<br/><textarea name="text" rows="4" cols="17"></textarea><br/>
	<input type="submit" name="submit" value="Добавить"/>
	</form>';
	
	require_footer (PATH.'/comment/'.$id.'/', 'К комментариям');
	
	break;
}
?>