<?php
/**
 * NesCat (Nesquik catalog) 0.1 stable
 *
 * Система представляет собой скрипт для каталога сайтов
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: Провокатор
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

/* Подключаем системный файл */
if (file_exists('../__incfiles/core.php')) {
	require_once ('../__incfiles/core.php');
} else {
	exit ('Немогу подключить системный файл!');
}

if (!$user) header ('Location: '.PATH.'/auth.xhtml');

define('ROOT', PATH.'/profile');
define('PROFILE', PATH.'/profile/index.xhtml');

$count_platform = $db->result("SELECT COUNT(`id`) FROM `".SITE."` WHERE `ref`='".$user['id']."'", 1);

switch ($act) {

	default:
	
	require_header ('Кабинет пользователя "'.htmlspecialchars($user['login']).'"');

	if ($user['admin']) {
		echo '<div class="line">&raquo; <a href="'.PATH.'/admin/index.xhtml"><b>Админ-панель</b></a></div>';
	}
	
	echo '<div class="line">&raquo; <a href="'.ROOT.'/platform.xhtml">Мои площадки</a> ['.$count_platform.']</div>
	<div class="line">&raquo; <a href="'.ROOT.'/ticket.xhtml">Мои тикеты</a> ['.$db->result("SELECT COUNT(`id`) FROM `".TICKET."` WHERE `ref`='".$user['id']."'", 1).'/<span style="color:red">'.$db->result("SELECT COUNT(`id`) FROM `".TICKET."` WHERE `ref`='".$user['id']."' AND `close`='1'", 1).'</span>]</div>
	<div class="line">&raquo; <a href="'.PROFILE.'/stat/">Моя статистика</a></div>
	<div class="line">&raquo; <a href="'.PROFILE.'/settings/">Мои настройки</a></div>
	<div class="line">&raquo; <a href="'.PROFILE.'/exit/">Выйти из аккаунта</a></div>';

	require_footer (PATH, 'На главную');

	break;
	
	case 'stat':
	
	require_header ('Моя статистика, ID: '.$user['id']);
	
	$count = $db->fetch_row("SELECT SUM(`in`), SUM(`out`), SUM(`in_all`), SUM(`out_all`) FROM `".SITE."` WHERE `ref`='".$user['id']."'", 1);
	
	echo '<div class="main"><b>Всего сайтов</b>: '.$count_platform.'</div>
	<div class="alt">Переходы сегодня:</div>
	<div class="line">
	<b>В каталог</b>: '.intval($count[0]).'<br/>
	<b>Из каталога</b>: '.intval($count[1]).'</div>
	<div class="alt">Переходы всего:</div>
	<div class="line">
	<b>В каталог</b>: '.intval($count[2]).'<br/>
	<b>Из каталога</b>: '.intval($count[3]).'</div>';
	
	require_footer (PROFILE, 'В кабинет');
	
	break;
	
	case 'settings':

	require_header ('Мои настройки, ID: '.$user['id']);
	
	if (isset($_POST['submit'])) {
	
		$error = '';
	
		if (empty($_POST['email'])) {
			$error .= 'Почтовый ящик не должен быть пустым!<br/>';
		}
		elseif (!preg_match('|^([a-z0-9_\.\-]{1,20})@([a-z0-9\.\-]{1,20})\.([a-z]{2,4})$|ius', $_POST['email'])) {
			$error .= 'E-mail должен быть вида login@example.com!<br/>';
		}
		elseif ($db->num_rows("SELECT (`id`) FROM `".USERS."` WHERE `email`='".$db->escape($_POST['email'])."' AND `id`<>'".$user['id']."' LIMIT 1", 1)) {
			$error .= 'Пользователь с почтовым адресом "'.htmlspecialchars($_POST['email']).'" уже зарегистрирован!<br/>';
		}
	
		if ($error) {
			echo '<div class="error"><b>Возникшие ошибки:</b><br/>'.$error.'</div>';
		} else {
			if ($db->query("UPDATE `".USERS."` SET `email`='".$db->escape($_POST['email'])."' WHERE `id`='".$user['id']."'")) {
				echo '<div class="line"><b>Данные успешно сохранены!</b></div>';
				header ('Refresh: 1');
			} else {
				echo '<div class="error">Ошибка при сохранении данных!<br/><b>'.$db->SQLerror().'</b></div>';
			}
		}
	
	}
	
	echo '<form class="menu" action="" method="post">
	E-mail:<br/><input type="text" name="email" value="'.htmlspecialchars($user['email']).'" maxlength="44"/><br/>
	<input type="submit" name="submit" value="Сохранить"/>
	</form>
	
	<div class="title">Изменить пароль</div>';
	
	if (isset($_POST['submit_pass'])) {
	
		$error = '';
		
		if (empty($_POST['password'])) {
			$error .= 'Введите текущий пароль!<br/>';
		}
		elseif (!preg_match('/(^[a-zA-Z0-9\-_]{3,13}+)$/', $_POST['password'])) {
			$error .= 'Пароль долен содержать символы _a-Z0-9- не менее 4 и не более 15 символов!<br/>';
		}
		elseif (md5($_POST['password']) != $user['password']) {
			$error .= 'Текущий пароль введен не верно!<br/>';
		}
		
		if (empty($_POST['new_password'])) {
			$error .= 'Введите новый пароль!<br/>';
		}
		elseif (!preg_match('/(^[a-zA-Z0-9\-_]{3,13}+)$/', $_POST['new_password'])) {
			$error .= 'Новый пароль долен содержать символы _a-Z0-9- не менее 4 и не более 15 символов!<br/>';
		}
		elseif ($user['password'] == md5($_POST['new_password'])) {
			$error .= 'Текущий пароль не должен совпадать с новым!<br/>';
		}
		
		if (empty($_POST['last_password'])) {
			$error .= 'Введите проверочный пароль!';
		}
		elseif (!preg_match('/(^[a-zA-Z0-9\-_]{3,13}+)$/', $_POST['last_password'])) {
			$error .= 'Проверочный пароль долен содержать символы _a-Z0-9- не менее 4 и не более 15 символов!<br/>';
		}
		elseif ($_POST['last_password'] != $_POST['new_password']) {
			$error .= 'Проверочный пароль введен не верно!';
		}
		
		if ($error) {
			echo '<div class="error"><b>Возникшие ошибки:</b><br/>'.$error.'</div>';
		} else {
			if ($db->query("UPDATE `".USERS."` SET `password`='".$db->escape(md5($_POST['new_password']))."' WHERE `id`='".$user['id']."'")) {
				$_SESSION['password'] = md5($_POST['new_password']);
				echo '<div class="line"><b>Пароль успешно изменен!</b></div>';
				header ('Refresh: 1');
			} else {
				echo '<div class="error">Ошибка при изменении пароля!<br/><b>'.$db->SQLerror().'</b></div>';
			}
		}
	
	}
	
	echo '<form class="menu" action="" method="post">
	Старый пароль:<br/><input type="password" name="password" maxlength="15"/><br/>
	Новый пароль:<br/><input type="password" name="new_password" maxlength="15"/><br/>
	Повторите пароль:<br/><input type="password" name="last_password" maxlength="15"/><br/>
	<input type="submit" name="submit_pass" value="Изменить"/>
	</form>';
	
	require_footer (PROFILE, 'В кабинет');

	break;
	
	case 'exit':
	
	require_header ('Выйти из аккаунта');
	
	if (isset($_POST['exit'])) {
		session_destroy();
		header ('Location: '.PATH);
	}
	
	echo '<form class="menu" action="" method="post">
	<b>Вы действительно хотите покинуть аккаунт?</b><br/>
	<input type="submit" name="exit" value="Да"/> <a href="'.PROFILE.'"><input type="button" value="Нет"/></a>
	</form>';
	
	require_footer (PROFILE, 'В кабинет');
	
	break;
	
}

?>