<?php
/**
 * NesCat (Nesquik catalog) 0.1 stable
 *
 * Система представляет собой скрипт для каталога сайтов
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: Провокатор
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

/* Подключаем системный файл */
if (file_exists('../__incfiles/core.php')) {
	require_once ('../__incfiles/core.php');
} else {
	exit ('Немогу подключить системный файл!');
}

if (!$user) header ('Location: '.PATH.'/auth.xhtml');

define('ROOT', PATH.'/profile');
define('PROFILE', PATH.'/profile/index.xhtml');
define('PLATFORM', PATH.'/profile/platform.xhtml');

$image_format = array('jpg', 'jpeg', 'gif', 'png');

$count_platform = $db->result("SELECT COUNT(`id`) FROM `".SITE."` WHERE `ref`='".$user['id']."'", 1);

switch ($act) {

	default:
	
	require_header ('Мои площадки, ID: '.$user['id']);
	echo '<div class="main"><b>Всего площадок:</b> '.$count_platform.' из '.$set['maximum_platform_add'].'</div>';
	
	$sql = $db->query("SELECT `url`.`id`, `url`.`banner`, `url`.`name`, `url`.`status`, `url`.`category`, `cat`.`name` AS `category_name` FROM `".SITE."` AS `url` LEFT JOIN `".CATEGORY."` AS `cat` ON (`url`.`category`=`cat`.`id`) WHERE `url`.`ref`='".$user['id']."' GROUP BY `url`.`id`");
	
	if ($db->num_rows($sql) == 0) {
		echo '<div class="error">У вас нет ниодной площадки!</div>';
	} else {
		echo '<table class="menu"><tr><td>ID</td><td>Название</td><td>Категория</td><td>Статус</td><td>Баннер</td><td>Действие</td></tr>';
		while ($row = $db->fetch_assoc($sql)) {
			echo '<tr><td>'.$row['id'].'</td><td>'.htmlspecialchars($row['name']).'</td><td><a href="'.PATH.'/category/'.$row['category'].'/">'.htmlspecialchars($row['category_name']).'</a></td><td>'.status_platform($row['status']).'</td><td>'.(!empty($row['banner']) && file_exists('../images/banners/'.$row['banner']) ? '<a href="'.PLATFORM.'/banner/'.$row['id'].'/"><img src="'.PATH.'/images/banners/'.htmlspecialchars($row['banner']).'" alt=""/></a>' : '-').'</td><td><a href="'.PLATFORM.'/edit/'.$row['id'].'/">Изменить</a>/<a href="'.PLATFORM.'/delete/'.$row['id'].'/">Удалить</a>/<a href="'.ROOT.'/stat.xhtml/'.$row['id'].'/">Статистика</a>/<a href="'.PLATFORM.'/link/'.$row['id'].'/">Код ссылки</a></td></tr>';
		}
		echo '</table>';
	}
	
	if ($count_platform < $set['maximum_platform_add']) {
		echo '<div class="main"><a href="'.PLATFORM.'/add/">Добавить площадку</a></div>';
	}
	
	require_footer (PROFILE, 'В кабинет');
	
	break;
	
	case 'banner':
	
	$sql = $db->query("SELECT (`banner`) FROM `".SITE."` WHERE `id`='".$id."' AND `ref`='".$user['id']."'");
	
	if ($db->num_rows($sql)) {
		$row = $db->fetch_assoc($sql);
	} else {
		error ('Площадка не найдена!', PLATFORM, 'Мои площадки');
	}
	
	if (empty($row['banner']) || !file_exists('../images/banners/'.$row['banner'])) {
		error ('Для данной площадки нет баннера!', PLATFORM, 'Мои площадки');
	} else {
	
		require_header ('Изменить баннер, ID: '.$id);
		
		if (isset($_GET['delete'])) {
		
			if (isset($_POST['delete'])) {
			
				unlink('images/banners/'.$row['banner']);
			
				if ($db->query("UPDATE `".SITE."` SET `banner`='' WHERE `id`='".$id."'")) {
					echo '<div class="line"><b>Баннер успешно удален!</b></div>';
					header ('Refresh: 1, url='.PLATFORM);
				} else {
					echo '<div class="error">Ошибка при удалении баннера!<br/><b>'.$db->SQLerror().'</b></div>';
				}
			
			}
		
			echo '<form class="menu" action="" method="post">
			<b>Вы действительно хотите удалить данный баннер?</b><br/>
			<input type="submit" name="delete" value="Да"/> <a href="'.PLATFORM.'/banner/'.$id.'/"><input type="button" value="Нет"/></a>
			</form>';
			
		}
		
		echo '<div class="main">
		<img src="'.PATH.'/images/banners/'.htmlspecialchars($row['banner']).'" alt=""/><br/>
		<a href="'.PLATFORM.'/banner/'.$id.'/?delete"><input type="button" value="Удалить баннер"/></a>
		</div>
		
		<div class="title">Изменить баннер</div>';
		
		if (isset($_POST['submit'])) {
		
			$error = '';
			$size = @getimagesize($_FILES['file']['tmp_name']);
			
			if (empty($_FILES['file']['tmp_name'])) {
				$error .= 'Выберите баннер для загрузки!<br/>';
			}
			elseif (!in_array(strtolower(pathinfo($_FILES['file']['name'], PATHINFO_EXTENSION)), $image_format)) {
				$error .= 'Не верный формат файла, разрешены только: '.implode(', ', $image_format).'!<br/>';
			}
			elseif ($size[0] > 95 || $size[1] > 35) {
				$error .= 'Максимальный размер загружаемого файла не должен превышать 95x35 px!<br/>';
			}
			
			if ($error) {
				echo '<div class="error"><b>Возникшие ошибки:</b><br/>'.$error.'</div>';
			} else {
			
				$banner = ($db->result("SELECT MAX(`id`) FROM `".SITE."`", 1) + 1).'.'.pathinfo($_FILES['file']['name'], PATHINFO_EXTENSION);
				if (!copy($_FILES['file']['tmp_name'], $_SERVER['DOCUMENT_ROOT'].'/images/banners/'.$banner)) {
					$banner = '';
				}
				
				if ($db->query("UPDATE `".SITE."` SET `banner`='".$db->escape($banner)."' WHERE `id`='".$id."'")) {
					echo '<div class="line"><b>Баннер успешно изменен!</b></div>';
					header ('Refresh: 1');
				} else {
					echo '<div class="error">Ошибка при изменении баннера!<br/><b>'.$db->SQLerror().'</b></div>';
				}

			}
		
		}
		
		echo '<form class="menu" action="" method="post" enctype="multipart/form-data">
		<b>Баннер</b>:<br/><input type="file" name="file" size="11"/><br/>
		<input type="submit" name="submit" value="Изменить"/>
		</form>';
	
		require_footer (PLATFORM, 'Мои площадки');
	
	}
	
	break;
	
	case 'add':
	
	if ($count_plaftorm >= $set['maximum_platform_add']) {
		exit(header('Location: '.PLATFORM));
	}
	
	require_header ('Добавить площадку, ID: '.$user['id']);
	
	if (isset($_POST['submit'])) {
	
		$error = '';
		
		if (empty($_POST['url'])) {
			$error .= 'Введите адрес новой площадки!<br/>';
		}
		elseif (!preg_match('~(^http://[a-z0-9\-\.]{2,31}\.[a-z]{2,4}+)$~i', $_POST['url'])) {
			$error .= 'Адрес площадки введен не верно!<br/>';
		}
		elseif ($db->num_rows("SELECT (`id`) FROM `".SITE."` WHERE `url`='".$db->escape($_POST['url'])."' LIMIT 1", 1)) {
			$error .= 'Площадка с таким URL уже существует!<br/>';
		}
		
		if (empty($_POST['name'])) {
			$error .= 'Введите название площадки!<br/>';
		}
		elseif (iconv_strlen($_POST['name']) < 5 || iconv_strlen($_POST['name']) > 35) {
			$error .= 'Название площадки должно содержать от 5 до 35 символов!<br/>';
		}
		elseif ($db->num_rows("SELECT (`id`) FROM `".SITE."` WHERE `name`='".$db->escape($_POST['name'])."' LIMIT 1", 1)) {
			$error .= 'Площадка с таким названием уже существует!<br/>';
		}
		
		if (!empty($_FILES['file']['tmp_name'])) {
			
			if (!in_array(strtolower(pathinfo($_FILES['file']['name'], PATHINFO_EXTENSION)), $image_format)) {
				$error .= 'Не верный формат файла, разрешены только: '.implode(', ', $image_format).'!<br/>';
			} else {
				$size = getimagesize($_FILES['file']['tmp_name']);
				if ($size[0] > 95 || $size[1] > 35) {
					$error .= 'Максимальный размер загружаемого файла не должен превышать 95x35 px!<br/>';
				}
			}
			
		} else {
			$banner = '';
		}
		
		if (empty($_POST['description'])) {
			$error .= 'Введите описание площадки!<br/>';
		}
		elseif (iconv_strlen($_POST['description']) < 10 || iconv_strlen($_POST['description']) > 150) {
			$error .= 'Описание площадки должно содержать от 10 до 150 символов!<br/>';
		}
		elseif ($db->num_rows("SELECT (`id`) FROM `".SITE."` WHERE `description`='".$db->escape($_POST['description'])."' LIMIT 1", 1)) {
			$error .= 'Площадка с таким описанием уже существует!<br/>';
		}
		
		if (!$db->num_rows("SELECT (`id`) FROM `".CATEGORY."` WHERE `id`='".intval($_POST['category'])."'", 1)) {
			$error .= 'Выбранной категории не существует!';
		}
		
		if ($error) {
			echo '<div class="error"><b>Возникшие ошибки:</b><br/>'.$error.'</div>';
		} else {

			if (!empty($_FILES['file']['tmp_name'])) {
				$banner = ($db->result("SELECT MAX(`id`) FROM `".SITE."`", 1) + 1).'.'.pathinfo($_FILES['file']['name'], PATHINFO_EXTENSION);
				if (!copy($_FILES['file']['tmp_name'], $_SERVER['DOCUMENT_ROOT'].'/images/banners/'.$banner)) {
					$banner = '';
				}
			} else {
				$banner = '';
			}
		
			if ($db->query("INSERT INTO `".SITE."` SET `ref`='".$user['id']."', `date`=NOW(), `comment`='".intval($_POST['comment'])."', `stat`='".intval($_POST['stat'])."', `category`='".intval($_POST['category'])."', `status`='0', `banner`='".$db->escape($banner)."', `name`='".$db->escape($_POST['name'])."', `url`='".$db->escape($_POST['url'])."', `description`='".$db->escape($_POST['description'])."'")) {
				echo '<div class="line"><b>Площадка успешно добавлена!</b></div>';
				header ('Refresh: 1, url='.PLATFORM);
			} else {
				echo '<div class="error">Ошибка при добавлении площадки!<br/><b>'.$db->SQLerror().'</b></div>';
			}
	
		
		}
	
	}
	
	echo '<form class="menu" action="" method="post" enctype="multipart/form-data">
	<b>URL-адрес</b>:<br/><input type="text" name="url" maxlength="35" value="http://"/><br/>
	<b>Название</b> [min: 5, max: 35]:<br/><input type="text" name="name" maxlength="35"/><br/>
	<b>Описание</b> [min: 10, max: 150]:<br/><textarea name="description" rows="3" cols="17"></textarea><br/>
	<b>Баннер</b> [необязательно]:<br/><input type="file" name="file" size="11"/><br/>
	<b>Категория</b>:<br/><select name="category">';
	$sql = $db->query("SELECT `id`,`name` FROM `".CATEGORY."` ORDER BY `id` ASC");
	while ($row = $db->fetch_assoc($sql)) {
		echo '<option value="'.$row['id'].'">'.htmlspecialchars($row['name']).'</option>';
	}
	echo '</select><br/>
	<input type="checkbox" name="comment" value="1" checked="checked"/> Включить возможность добавлять комментарии<br/>
	<input type="checkbox" name="stat" value="1" checked="checked"/> Разрешить просмотр статистики площадки<br/>
	<input type="submit" name="submit" value="Добавить"/>
	</form>';
	
	require_footer (PLATFORM, 'Мои площадки');
	
	break;
	
	case 'edit':
	
	$sql = $db->query("SELECT `category`,`name`,`url`,`description`,`comment` FROM `".SITE."` WHERE `id`='".$id."' AND `ref`='".$user['id']."'");
	
	if ($db->num_rows($sql) == 0) {
		error ('Площадка с таким ID не существует!', PLATFORM, 'Мои площадки');
	} else {
	
		$row = $db->fetch_assoc($sql);
	
		require_header ('Редактировать площадку');
		echo '<div class="main"><b>После редактирования площадка автоматически встанет на модерацию!</b></div>';
		
		if (isset($_POST['submit'])) {
		
			$error = '';
			
			if (empty($_POST['url'])) {
				$error .= 'Введите адрес площадки!<br/>';
			}
			elseif (!preg_match('~(^http://[a-z0-9\-\.]{2,31}\.[a-z]{2,4}+)$~i', $_POST['url'])) {
				$error .= 'Адрес площадки введен не верно!<br/>';
			}
			elseif ($db->num_rows("SELECT (`id`) FROM `".SITE."` WHERE `url`='".$db->escape($_POST['url'])."' AND `id`<>'".$id."' LIMIT 1", 1)) {
				$error .= 'Площадка с таким URL уже существует!<br/>';
			}
			
			if (empty($_POST['name'])) {
				$error .= 'Введите название площадки!<br/>';
			}
			elseif (iconv_strlen($_POST['name']) < 5 || iconv_strlen($_POST['name']) > 35) {
				$error .= 'Название площадки должно содержать от 5 до 35 символов!<br/>';
			}
			elseif ($db->num_rows("SELECT (`id`) FROM `".SITE."` WHERE `name`='".$db->escape($_POST['name'])."' AND `id`<>'".$id."' LIMIT 1", 1)) {
				$error .= 'Площадка с таким названием уже существует!<br/>';
			}
			
			if (empty($_POST['description'])) {
				$error .= 'Введите описание площадки!<br/>';
			}
			elseif (iconv_strlen($_POST['description']) < 10 || iconv_strlen($_POST['description']) > 150) {
				$error .= 'Описание площадки должно содержать от 10 до 150 символов!<br/>';
			}
			elseif ($db->num_rows("SELECT (`id`) FROM `".SITE."` WHERE `description`='".$db->escape($_POST['description'])."' AND `id`<>'".$id."' LIMIT 1", 1)) {
				$error .= 'Площадка с таким описанием уже существует!<br/>';
			}
			
			if (!$db->num_rows("SELECT (`id`) FROM `".CATEGORY."` WHERE `id`='".intval($_POST['category'])."'", 1)) {
				$error .= 'Выбранной категории не существует!';
			}
			
			if ($error) {
				echo '<div class="error"><b>Возникшие ошибки:</b><br/>'.$error.'</div>';
			} else {
			
				if ($db->query("UPDATE `".SITE."` SET `comment`='".intval($_POST['comment'])."', `stat`='".intval($_POST['stat'])."', `category`='".intval($_POST['category'])."', `status`='0', `name`='".$db->escape($_POST['name'])."', `url`='".$db->escape($_POST['url'])."', `description`='".$db->escape($_POST['description'])."' WHERE `id`='".$id."'")) {
					echo '<div class="line"><b>Площадка успешно изменена!</b></div>';
					header ('Refresh: 1, url='.PLATFORM);
				} else {
					echo '<div class="error">Ошибка при изменении площадки!<br/><b>'.$db->SQLerror().'</b></div>';
				}
			
			}
		
		}
		
		echo '<form class="menu" action="" method="post">
		<b>URL-адрес</b>:<br/><input type="text" name="url" maxlength="35" value="'.htmlspecialchars($row['url']).'"/><br/>
		<b>Название</b> [min: 5, max: 35]:<br/><input type="text" name="name" maxlength="35" value="'.htmlspecialchars($row['name']).'"/><br/>
		<b>Описание</b> [min: 10, max: 150]:<br/><textarea name="description" rows="3" cols="17">'.htmlspecialchars($row['description']).'</textarea><br/>
		<b>Категория</b>:<br/><select name="category">';
		$result = $db->query("SELECT `id`,`name` FROM `".CATEGORY."` ORDER BY `id` ASC");
		while ($category = $db->fetch_assoc($result)) {
			echo '<option value="'.$category['id'].'" '.select($category['id'], $row['category']).'>'.htmlspecialchars($category['name']).'</option>';
		}
		echo '</select><br/>
		<input type="checkbox" name="comment" value="1" '.check(1, $row['comment']).'"/> Включить возможность добавлять комментарии<br/>
		<input type="checkbox" name="comment" value="1" '.check(1, $row['stat']).'"/> Разрешить просмотр статистики площадки<br/>
		<input type="submit" name="submit" value="Сохранить"/>
		</form>';
		
		require_footer (PLATFORM, 'Мои площадки');
	
	}
	
	break;
	
	case 'delete':
	
	$sql = $db->query("SELECT (`id`) FROM `".SITE."` WHERE `id`='".$id."' AND `ref`='".$user['id']."'");
	
	if ($db->num_rows($sql) == 0) {
		error ('Площадка с таким ID не существует!', PLATFORM, 'Мои площадки');
	} else {
	
		require_header ('Удалить площадку');
		
		if (isset($_POST['delete'])) {
			if ($db->query("DELETE FROM `".SITE."` WHERE `id`='".$id."'")) {
				echo '<div class="line"><b>Площадка успешно удалена!</b></div>';
				header ('Refresh: 1, url='.PLATFORM);
			} else {
				echo '<div class="error">Ошибка при удалении площадки!<br/><b>'.$db->SQLerror().'</b></div>';
			}
		}
		
		echo '<form class="menu" action="" method="post">
		<b>Вы действительно хотите удалить данную площадку?</b><br/>
		<input type="submit" name="delete" value="Да"/> <a href="'.PLATFORM.'"><input type="button" value="Нет"/>
		</form>';
		
		require_footer (PLATFORM, 'Мои площадки');
	
	}
	
	break;
	
	case 'link':
	
	$sql = $db->query("SELECT `id`,`url` FROM `".SITE."` WHERE `id`='".$id."' AND `ref`='".$user['id']."'");
	
	if ($db->num_rows($sql) == 0) {
		error ('Площадка с таким ID не существует!', PROFILE.'/platform/', 'Мои площадки');
	} else {
	
		$row = $db->fetch_assoc($sql);
	
		require_header ('Код ссылки');
		
		echo '<div class="alt">
		Код ссылки для сайта: <a href="'.htmlspecialchars($row['url']).'">'.htmlspecialchars(str_ireplace('http://', '', $row['url'])).'</a>:
		</div>
		<div class="str">
		<b>Ссылка</b>: '.PATH.'/'.$row['id'].'.in<br/>
		<b>PHP код</b>: '.htmlspecialchars('echo \'<a href="'.PATH.'/'.$row['id'].'.in">Название</a>\';').'<br/>
		<b>HTML код</b>: '.htmlspecialchars('<a href="'.PATH.'/'.$row['id'].'.in">Название</a>').'</div>
		<div class="line">
		<b>Ссылка</b>:<br/><input type="text" value="'.PATH.'/'.$row['id'].'.in"/><br/>
		<b>PHP код</b>:<br/><input type="text" value="'.htmlspecialchars('echo \'<a href="'.PATH.'/'.$row['id'].'.in">Название</a>\';').'"/><br/>
		<b>HTML код</b>:<br/><input type="text" value="'.htmlspecialchars('<a href="'.PATH.'/'.$row['id'].'.in">Название</a>').'"/>
		</div>
		<div class="error"><b>Название ссылки может быть любым!</b></div>
		<div class="alt">
		По желанию Вы можете установить счетчик нашего каталога позволяющий просматривать прямо с Вашего сайта колличество переходов в каталог от Вас, из каталога к Вам и колличество посетителей находящихся онлайн на Вашем сайте.</div>
		<div class="line">
		Код счетчика для сайта <a href="'.htmlspecialchars($row['url']).'">'.htmlspecialchars(str_ireplace('http://', '', $row['url'])).'</a>:</div>
		<div class="str">
		<b>Ссылка</b>: '.PATH.'/'.$row['id'].'.cnt<br/>
		<b>PHP код</b>: '.htmlspecialchars('echo \'<a href="'.PATH.'/'.$row['id'].'.in"><img src="'.PATH.'/'.$row['id'].'.cnt" alt=""/></a>\';').'<br/>
		<b>HTML код</b>: '.htmlspecialchars('<a href="'.PATH.'/'.$row['id'].'.in"><img src="'.PATH.'/'.$row['id'].'.cnt" alt=""/></a>').'<br/>
		</div>
		<div class="line">
		<b>Ссылка</b>:<br/><input type="text" value="'.PATH.'/'.$row['id'].'.cnt"/><br/>
		<b>PHP код</b>:<br/><input type="text" value="'.htmlspecialchars('echo \'<a href="'.PATH.'/'.$row['id'].'.in"><img src="'.PATH.'/'.$row['id'].'.cnt" alt=""/></a>\';').'"/><br/>
		<b>HTML код</b>:<br/><input type="text" value="'.htmlspecialchars('<a href="'.PATH.'/'.$row['id'].'.in"><img src="'.PATH.'/'.$row['id'].'.cnt" alt=""/></a>').'"/></div>';
		
		require_footer (PLATFORM, 'Мои площадки');
	
	}
	
	break;

}
?>