<?php
/**
 * NesCat (Nesquik catalog) 0.1 stable
 *
 * Система представляет собой скрипт для каталога сайтов
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: Провокатор
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

/* Подключаем системный файл */
if (file_exists('__incfiles/core.php')) {
	require_once ('__incfiles/core.php');
} else {
	exit ('Немогу подключить системный файл!');
}

switch ($act) {

	case 'new':
	
	$count_site = $db->result("SELECT COUNT(`id`) FROM `".SITE."` WHERE `in`>='1' AND `status`='1' AND `date`=CURDATE()", 1);
	
	require_header ('Новые сайты');
	echo '<div class="main"><b>Всего новых сайтов: '.$count_site.'</b></div>';
	
	$k_page = k_page($count_site, $set['site']); 
	$page = page($k_page);

	$sql = $db->query("SELECT `s`.`id`, `s`.`banner`, `s`.`comment`, `s`.`stat`, `s`.`name`, `s`.`description`, `s`.`in`, `s`.`out`, COUNT(`o`.`id`) AS `online` FROM `".SITE."` AS `s` LEFT JOIN `".ONLINE."` AS `o` ON (`o`.`ref`=`s`.`id` AND `o`.`date`>=(NOW() - INTERVAL 3 MINUTE)) WHERE `s`.`in`>='1' AND `s`.`status`='1' AND `s`.`date`=CURDATE() GROUP BY `s`.`id` ORDER BY `s`.`in` DESC LIMIT ".($set['site'] * $page - $set['site']).", ".$set['site']);

	if ($db->num_rows($sql) == 0) {
		echo '<div class="error">Новых сайтов за сегодня нет!</div>';
	} else {
		
		while ($row = $db->fetch_assoc($sql)) {
			$rate = $db->fetch_row("SELECT SUM(`true`), (SELECT SUM(`false`) FROM `".COMMENT."` WHERE `ref`='".$row['id']."') FROM `".COMMENT."` WHERE `ref`='".$row['id']."'", 1);

			echo '<div class="alt"><a href="'.PATH.'/'.$row['id'].'.out"><b>'.htmlspecialchars($row['name']).'</b></a> '.($row['stat'] ? '<a href="'.PATH.'/info/'.$row['id'].'/"><img src="'.PATH.'/images/stat.gif" alt=""/></a>' : '').'</div>
			<div class="line"><small>'.htmlspecialchars($row['description']).'<br/>';
			if (!empty($row['banner']) && file_exists('images/banners/'.$row['banner'])) {
				echo '<img src="'.PATH.'/images/banners/'.htmlspecialchars($row['banner']).'" alt=""/><br/>';
			}
			if ($row['comment']) {
				echo '<a href="'.PATH.'/comment/'.$row['id'].'/">Отзывы</a> [<span style="color:green">'.intval($rate[0]).'</span>/<span style="color:red">'.intval($rate[1]).'</span>]<br/>';
			}
			echo 'В каталог: '.$row['in'].' | Из каталога: '.$row['out'].' | OnLine: '.$row['online'].'</small></div>';
		}
		
		if ($k_page > 1) {
			navigation(PATH.'/new.xhtml/', $k_page, $page);
		}
	}
	
	require_footer (PATH, 'На главную');
	
	break;
	
	case 'top':
		
	require_header ('Топ-100 лучший сайтов');

	$k_page = k_page($db->result("SELECT COUNT(`id`) FROM `".SITE."` WHERE `in`>='1' AND `status`='1'", 1), $set['site']); 
	$page = page($k_page);

	$sql = $db->query("SELECT `s`.`id`, `s`.`banner`, `s`.`comment`, `s`.`stat`, `s`.`name`, `s`.`description`, `s`.`in`, `s`.`out`, COUNT(`o`.`id`) AS `online` FROM `".SITE."` AS `s` LEFT JOIN `".ONLINE."` AS `o` ON (`o`.`ref`=`s`.`id` AND `o`.`date`>=(NOW() - INTERVAL 3 MINUTE)) WHERE `s`.`in`>='1' AND `s`.`status`='1' GROUP BY `s`.`id` ORDER BY `s`.`in` DESC LIMIT ".($set['site'] * $page - $set['site']).", ".$set['site']);

	if ($db->num_rows($sql) == 0) {
		echo '<div class="error">Top-100 лучших сайтов - пуст!</div>';
	} else {
		
		while ($row = $db->fetch_assoc($sql)) {
			$rate = $db->fetch_row("SELECT SUM(`true`), (SELECT SUM(`false`) FROM `".COMMENT."` WHERE `ref`='".$row['id']."') FROM `".COMMENT."` WHERE `ref`='".$row['id']."'", 1);

			echo '<div class="alt"><a href="'.PATH.'/'.$row['id'].'.out"><b>'.htmlspecialchars($row['name']).'</b></a> '.($row['stat'] ? '<a href="'.PATH.'/info/'.$row['id'].'/"><img src="'.PATH.'/images/stat.gif" alt=""/></a>' : '').'</div>
			<div class="line"><small>'.htmlspecialchars($row['description']).'<br/>';
			if (!empty($row['banner']) && file_exists('images/banners/'.$row['banner'])) {
				echo '<img src="'.PATH.'/images/banners/'.htmlspecialchars($row['banner']).'" alt=""/><br/>';
			}
			if ($row['comment']) {
				echo '<a href="'.PATH.'/comment/'.$row['id'].'/">Отзывы</a> [<span style="color:green">'.intval($rate[0]).'</span>/<span style="color:red">'.intval($rate[1]).'</span>]<br/>';
			}
			echo 'В каталог: '.$row['in'].' | Из каталога: '.$row['out'].' | OnLine: '.$row['online'].'</small></div>';
		}
		
		if ($k_page > 1) {
			navigation(PATH.'/top.xhtml/', $k_page, $page);
		}
	}
	
	require_footer (PATH, 'На главную');
	
	break;
	
	default:
	
	header ('Location: '.PATH);
	
	break;

}
?>