<?php
/**
 * NesCat (Nesquik catalog) 0.1 stable
 *
 * Система представляет собой скрипт для каталога сайтов
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: Провокатор
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

/* Подключаем системный файл */
if (file_exists('__incfiles/core.php')) {
	require_once ('__incfiles/core.php');
} else {
	exit ('Немогу подключить системный файл!');
}

require_header ('Статистика каталога');
echo '<div class="main"><b>Статистика каталога</b></div>';

$count_day = $db->fetch_row("SELECT COUNT(`id`), (SELECT COUNT(`id`) FROM `".LOGS."` WHERE `date`=CURDATE() AND `type`='out') FROM `".LOGS."` WHERE `date`=CURDATE() AND `type`='in'", 1);
$count_all = $db->fetch_row("SELECT COUNT(`id`), (SELECT COUNT(`id`) FROM `".LOGS."` WHERE `type`='out') FROM `".LOGS."` WHERE `type`='in'", 1);
$count_today = $db->fetch_row("SELECT COUNT(`id`), (SELECT COUNT(`id`) FROM `".LOGS."` WHERE `date`=(CURDATE() - INTERVAL 1 DAY) AND `type`='out') FROM `".LOGS."` WHERE `date`=(CURDATE() - INTERVAL 1 DAY) AND `type`='in'", 1);

echo '<div class="alt">
Статистика по юзерам:</div>
<div class="line">
<b>Всего юзеров</b>: '.$db->result("SELECT COUNT(`id`) FROM `".USERS."`", 1).'<br/>
<b>Новых юзеров</b>: '.$db->result("SELECT COUNT(`id`) FROM `".USERS."` WHERE `date_reg`=(CURDATE())", 1).'</div>

<div class="alt">Статистика по площадкам:</div>
<div class="line">
<b>Всего сайтов</b>: '.$db->result("SELECT COUNT(`id`) FROM `".SITE."`", 1).'<br/>
<b>Активных сегодня</b>: '.$db->result("SELECT COUNT(DISTINCT(`ref`)) FROM `".LOGS."` WHERE `date`=CURDATE() AND `type`='in'", 1).'<br/>
<b>Новых сегодня</b>: '.$db->result("SELECT COUNT(`id`) FROM `".SITE."` WHERE `date`=CURDATE()", 1).'<br/>
<b>На модерации</b>: '.$db->result("SELECT COUNT(`id`) FROM `".SITE."` WHERE `date`=CURDATE() AND `status`='0'", 1).'<br/>
<b>Заблокированных</b>: '.$db->result("SELECT COUNT(`id`) FROM `".SITE."` WHERE `date`=CURDATE() AND `status`='2'", 1).'</div>

<div class="alt">Переходы сегодня:</div>
<div class="line">
<b>В каталог</b>: '.intval($count_day[0]).'<br/>
<b>Из каталога</b>: '.intval($count_day[1]).'</div>

<div class="alt">Переходы вчера:</div>
<div class="line">
<b>В каталог</b>: '.intval($count_today[0]).'<br/>
<b>Из каталога</b>: '.intval($count_today[1]).'</div>

<div class="alt">Переходы всего:</div>
<div class="line">
<b>В каталог</b>: '.intval($count_all[0]).'<br/>
<b>Из каталога</b>: '.intval($count_all[1]).'</div>

<div class="alt">Статистика базы:</div>
<div class="line">
<b>Операторов</b>: '.$db->result("SELECT COUNT(`id`) FROM `".OPERATOR."`", 1).' шт.<br/>
<b>Диапазонов</b>: '.$db->result("SELECT COUNT(`id`) FROM `".IP."`", 1).' шт.</div>';

require_footer (PATH, 'На главную');
?>