<?php
/**
 * NesCat (Nesquik catalog) 0.1 stable
 *
 * Система представляет собой скрипт для каталога сайтов
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: Провокатор
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

# Настройки подключения к базе данных MYSQL #
switch (getenv('REMOTE_ADDR')) {

	/* Настройки для сервера */
	default:
		define('DATAHOST', ''); // Хост
		define('DATAUSER', ''); // Пользователь
		define('DATAPASS', ''); // Пароль
		define('DATABASE', ''); // Имя БД
	break;
	
	/* Настройки для localhost */
	case '127.0.0.1':
		define('DATAHOST', 'localhost'); // Хост
		define('DATAUSER', 'root'); // Пользователь
		define('DATAPASS', ''); // Пароль
		define('DATABASE', 'catalog'); // Имя БД
	break;
	
}

/* Кодировка БД по умолчанию */
define('DATABASE_CHARSET', 'UTF8'); // Лучше не менять

/* Префикс таблиц */
define('prefix', 'catalog_'); // Лучше не менять

/* Корневая папка со скриптом */
define('PATH', 'http://'.getenv('HTTP_HOST')); // Полный путь с http:// до скрипта, без слэша вконце
?>