<?php
/**
 * NesCat (Nesquik catalog) 0.1 stable
 *
 * Система представляет собой скрипт для каталога сайтов
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: Провокатор
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

/* Подключаем системный файл */
if (file_exists('../__incfiles/core.php')) {
	require_once ('../__incfiles/core.php');
} else {
	exit ('Немогу подключить системный файл!');
}

define('ROOT', PATH.'/admin');
define('CATEGORYFILE', ROOT.'/category.xhtml');

access ('category');

switch ($act) {

	default:

	require_header ('Управление категориями');
	echo '<div class="main"><b>Всего категорий: '.$db->result("SELECT COUNT(`id`) FROM `".CATEGORY."`", 1).'</b></div>';

	$sql = $db->query("SELECT * FROM `".CATEGORY."` ORDER BY `place` ASC");
	
	if ($db->num_rows($sql) == 0) {
		echo '<div class="error">Категорий нет!</div>';
	} else {
		
		echo '<table class="table"><tr><td>ID</td><td>Название</td><td>Место</td><td>Действие</td></tr>';
		
		while ($row = $db->fetch_assoc($sql)) {
			echo '<tr><td>'.$row['id'].'</td><td><a href="'.PATH.'/category/'.$row['id'].'/">'.htmlspecialchars($row['name']).'</a></td><td>'.$row['place'].'</td><td><a href="'.CATEGORYFILE.'/edit/'.$row['id'].'/">Изменить</a>/<a href="'.CATEGORYFILE.'/delete/'.$row['id'].'/">Удалить</a></td></tr>';
		}
		
		echo '</table>';
	
	}
	
	echo '<div class="main"><a href="'.CATEGORYFILE.'/add/">Добавить категорию</a></div>';
	
	require_footer (ROOT.'/index.xhtml', 'Админ-панель');

	break;
	
	case 'add':
	
	require_header ('Добавить категорию');
	
	if (isset($_POST['name'], $_POST['place'])) {
	
		$error = '';
	
		if (empty($_POST['name'])) {
			$error .= 'Введите название категории!';
		}
		elseif (iconv_strlen($_POST['name']) < 4 || iconv_strlen($_POST['name']) > 40) {
			$error .= 'Название должно содержать от 4 до 40 символов!';
		}
		elseif ($db->num_rows("SELECT (`id`) FROM `".CATEGORY."` WHERE `name`='".$db->escape($_POST['name'])."' LIMIT 1", 1)) {
			$error .= 'Категория с названием "'.htmlspecialchars($_POST['name']).'" уже существует!';
		}
		
		if ($error) {
			echo '<div class="error"><b>Возникшие ошибки:</b><br/>'.$error.'</div>';
		} else {
			if ($db->query("INSERT INTO `".CATEGORY."` SET `name`='".$db->escape($_POST['name'])."', `place`='".intval($_POST['place'])."'")) {
				echo '<div class="line"><b>Категория успешно добавлена!</b></div>';
				header ('Refresh: 1, url='.CATEGORYFILE);
			} else {
				echo '<div class="error">Ошибка при добавлении категории!<br/><b>'.$db->SQLerror().'</b></div>';
			}
		}
	
	}
	
	echo '<form class="menu" action="" method="post">
	<b>Название</b>:<br/><input type="text" name="name" maxlength="40"/><br/>
	<b>Место</b>:<br/><input type="text" name="place" size="4" maxlength="11" value="'.($db->result("SELECT MAX(`place`) FROM `".CATEGORY."`", 1) + 1).'"/><br/>
	<input type="submit" value="Создать"/>
	</form>';
	
	require_footer (CATEGORYFILE, 'Все категории');
	
	break;
	
	case 'edit':
	
	require_header ('Изменить категорию, ID: '.$id);
	
	$sql = $db->query("SELECT * FROM `".CATEGORY."` WHERE `id`='".$id."'");
	
	if ($db->num_rows($sql)) {
		$row = $db->fetch_assoc($sql);
	} else {
		error ('Категория не найдена!', CATEGORYFILE, 'Все категории');
	}
	
	if (isset($_POST['name'], $_POST['place'])) {
	
		$error = '';
	
		if (empty($_POST['name'])) {
			$error .= 'Введите название категории!';
		}
		elseif (iconv_strlen($_POST['name']) < 4 || iconv_strlen($_POST['name']) > 40) {
			$error .= 'Название должно содержать от 4 до 40 символов!';
		}
		elseif ($db->num_rows("SELECT (`id`) FROM `".CATEGORY."` WHERE `name`='".$db->escape($_POST['name'])."' AND `id`<>'".$id."' LIMIT 1", 1)) {
			$error .= 'Категория с названием "'.htmlspecialchars($_POST['name']).'" уже существует!';
		}
		
		if ($error) {
			echo '<div class="error"><b>Возникшие ошибки:</b><br/>'.$error.'</div>';
		} else {
			if ($db->query("UPDATE `".CATEGORY."` SET `name`='".$db->escape($_POST['name'])."', `place`='".intval($_POST['place'])."' WHERE `id`='".$id."'")) {
				echo '<div class="line"><b>Категория успешно изменена!</b></div>';
				header ('Refresh: 1, url='.CATEGORYFILE);
			} else {
				echo '<div class="error">Ошибка при изменении категории!<br/><b>'.$db->SQLerror().'</b></div>';
			}
		}
	
	}
	
	echo '<form class="menu" action="" method="post">
	<b>Название</b>:<br/><input type="text" name="name" value="'.htmlspecialchars($row['name']).'" maxlength="40"/><br/>
	<b>Место</b>:<br/><input type="text" name="place" size="4" maxlength="11" value="'.$row['place'].'"/><br/>
	<input type="submit" value="Изменить"/>
	</form>';
	
	require_footer (CATEGORYFILE, 'Все категории');
	
	break;
	
	case 'delete':
	
	require_header ('Удалить категорию, ID: '.$id);
	
	$sql = $db->query("SELECT (`id`) FROM `".CATEGORY."` WHERE `id`='".$id."'");
	
	if ($db->num_rows($sql)) {
		$row = $db->fetch_assoc($sql);
	} else {
		error ('Категория не найдена!', CATEGORYFILE, 'Все категории');
	}
	
	if (isset($_POST['delete'])) {
		if ($db->query("DELETE FROM `".CATEGORY."` WHERE `id`='".$id."'")) {
			echo '<div class="line"><b>Категория успешно удалена!</b></div>';
			header ('Refresh: 1, url='.CATEGORYFILE);
		} else {
			echo '<div class="error">Ошибка при удалении категории!<br/><b>'.$db->SQLerror().'</b></div>';
		}
	}
	
	echo '<form class="menu" action="" method="post">
	<b>Вы действительно хотите удалить категорию ID '.$id.'?</b><br/>
	<input type="submit" name="delete" value="Да"/> <a href="'.CATEGORYFILE.'"><input type="button" value="Нет"/></a>
	</form>';
	
	require_footer (CATEGORYFILE, 'Все категории');
	
	break;

}
?>