<?php
/**
 * NesCat (Nesquik catalog) 0.1 stable
 *
 * Система представляет собой скрипт для каталога сайтов
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: Провокатор
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

/* Подключаем системный файл */
if (file_exists('../__incfiles/core.php')) {
	require_once ('../__incfiles/core.php');
} else {
	exit ('Немогу подключить системный файл!');
}

define('ROOT', PATH.'/admin');

access ('index');

switch ($act) {

	default:

	require_header ('Админ-панель');

	$i = 0;
	
	if (access('base_ip', 1)) {
		$i ++;
		echo '<div class="line">
		<b>Обновлена</b>: '.clock($set['update_base']).'<br/>
		<a href="'.ROOT.'/ip.xhtml">Управление базой IP</a><br/>
		<a href="'.ROOT.'/operator.xhtml">Управление операторами</a><br/>
		<a href="'.ROOT.'/base_update.xhtml">Обновить базу IP операторов</a><br/>
		<b>Операторов</b>: '.$db->result("SELECT COUNT(`id`) FROM `".OPERATOR."`", 1).' | <b>Диапазонов</b>: '.$db->result("SELECT COUNT(`id`) FROM `".IP."`", 1).'</div>';
	}
	
	if (access('news', 1)) {
		$i ++;
		echo '<div class="line">
		<a href="'.ROOT.'/news.xhtml">Управление новостями</a><br/>
		<b>Новостей</b>: '.$db->result("SELECT COUNT(`id`) FROM `".NEWS."` WHERE `ref`=''", 1).' | <b>Комментариев</b>: '.$db->result("SELECT COUNT(`id`) FROM `".NEWS."` WHERE `ref`<>''", 1).'</div>';
	}
	
	if (access('category', 1)) {
		$i ++;
		echo '<div class="line">
		<a href="'.ROOT.'/category.xhtml">Управление категориями</a><br/>
		<b>Всего категорий</b>: '.$db->result("SELECT COUNT(`id`) FROM `".CATEGORY."`", 1).'</div>';
	}
	
	if (access('rekl', 1)) {
		$i ++;
		echo '<div class="line">
		<a href="'.ROOT.'/rekl.xhtml">Управление рекламой</a><br/>
		<b>Вверху</b>: '.$db->result("SELECT COUNT(`id`) FROM `".REKL."` WHERE `type`='0'", 1).' | <b>Внизу</b>: '.$db->result("SELECT COUNT(`id`) FROM `".REKL."` WHERE `type`='1'", 1).'</div>';
	}
	
	if (access('user', 1)) {
		$i ++;
		echo '<div class="line">
		<a href="'.ROOT.'/user.xhtml"><b>Все пользователи</b></a><br/>
		<a href="'.ROOT.'/profile.xhtml">Управление пользователем</a><br/>
		<a href="'.ROOT.'/moder.xhtml">Задать права модераторам</a><br/>
		<b>Всего</b>: '.$db->result("SELECT COUNT(`id`) FROM `".USERS."`", 1).' | <b>Модераторов</b>: '.$db->result("SELECT COUNT(`id`) FROM `".USERS."` WHERE `admin`='2'", 1).'
		</div>';
	}
	
	if (access('platform', 1)) {
		$i ++;
		echo '<div class="line">
		<a href="'.ROOT.'/platform.xhtml"><b>Все сайты/площадки</b></a><br/>
		<a href="'.ROOT.'/platform.xhtml/moder/">Сайты на модерации</a><br/>
		<a href="'.ROOT.'/platform.xhtml/access/">Недопущенные сайты</a><br/>
		<b>Всего</b>: '.$db->result("SELECT COUNT(`id`) FROM `".SITE."`", 1).' | <b>Модер</b>: '.$db->result("SELECT COUNT(`id`) FROM `".SITE."` WHERE `status`='0'", 1).' | <b>Недоп</b>: '.$db->result("SELECT COUNT(`id`) FROM `".SITE."` WHERE `status`='2'", 1).'
		</div>';
	}
	
	if (access('ticket', 1)) {
		$i ++;
		echo '<div class="line">
		<a href="'.ROOT.'/ticket.xhtml"><b>Управление тикетами</b></a><br/>
		<b>Всего</b>: '.$db->result("SELECT COUNT(`id`) FROM `".TICKET."`", 1).' | <b>Неотвеченых</b>: '.$db->result("SELECT COUNT(`id`) FROM `".TICKET."` WHERE `status`='0'", 1).'</div>';
	}
	
	if (access('logs', 1)) {
		$i ++;
		echo '<div class="line">
		<a href="'.ROOT.'/logs.xhtml">Управление логами переходов</a><br/>
		<b>В каталог</b>: '.$db->result("SELECT COUNT(`id`) FROM `".LOGS."` WHERE `type`='in' AND `date`=CURDATE()", 1).' | <b>Из каталога</b>: '.$db->result("SELECT COUNT(`id`) FROM `".LOGS."` WHERE `type`='out' AND `date`=CURDATE()", 1).'
		</div>';
	}
	
	if (access('backup', 1)) {
		$i ++;
		echo '<div class="line">
		<a href="'.ROOT.'/backup.xhtml">Создать backup базы данных</a><br/>
		<b>Размер БД</b>: '.DataBaseSize(DATABASE).'</div>';
	}
	
	if (access('alter', 1)) {
		$i ++;
		echo '<div class="line">
		<a href="'.ROOT.'/alter.xhtml"><b>Оптимизация базы данных</b></a></div>';
	}
	
	if (access('settings', 1)) {
		$i ++;
		echo '<div class="line">
		<a href="'.ROOT.'/settings.xhtml"><b>Настройки скрипта</b></a></div>';
	}
	
	if ($i == 0) {
		echo '<div class="error">Для вас нет выставленных прав!</div>';
	}
	
	require_footer (PATH, 'На главную');
	
	break;

}
?>