<?php
/**
 * NesCat (Nesquik catalog) 0.1 stable
 *
 * Система представляет собой скрипт для каталога сайтов
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: Провокатор
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

/* Подключаем системный файл */
if (file_exists('../__incfiles/core.php')) {
	require_once ('../__incfiles/core.php');
} else {
	exit ('Немогу подключить системный файл!');
}

define('ROOT', PATH.'/admin');
define('REKLFILE', ROOT.'/rekl.xhtml');

access ('rekl');

switch ($act) {

	default:

	require_header ('Управление рекламными ссылками');

	echo '<div class="line">
	<a href="'.REKLFILE.'/link/">Рекламные ссылки внизу</a> ['.$db->result("SELECT COUNT(`id`) FROM `".REKL."` WHERE `type`='1'", 1).']<br/>
	<a href="'.REKLFILE.'/link/?type=1">Рекламные ссылки вверху</a> ['.$db->result("SELECT COUNT(`id`) FROM `".REKL."` WHERE `type`='0'", 1).']</div>
	<div class="alt"><a href="'.REKLFILE.'/add/">Добавить ссылку</a></div>';
	
	require_footer (ROOT.'/index.xhtml', 'Админ-панель');

	break;
	
	case 'link':
	
	$type = isset($_GET['type']) ? 0 : 1;

	$count = $db->result("SELECT COUNT(`id`) FROM `".REKL."` WHERE `type`='".$type."'", 1);
	
	require_header ('Рекламные ссылки '.($type ? 'внизу' : 'вверху'));
	echo '<div class="main"><b>Всего ссылок '.($type ? 'внизу' : 'вверху').': '.$count.'</b></div>';
	
	$k_page = k_page($count, 10); 
	$page = page($k_page);
	
	$sql = $db->query("SELECT `r`.*, COUNT(`l`.`id`) AS `counter` FROM `".REKL."` AS `r` LEFT JOIN `".REKLOGS."` AS `l` ON (`r`.`id`=`l`.`ref`) WHERE `r`.`type`='".$type."' GROUP BY `r`.`id` LIMIT ".(10 * $page - 10).", 10");
	
	if ($db->num_rows($sql) == 0) {
		echo '<div class="error">Рекламных ссылок '.($type ? 'вверху' : 'внизу').' нет!</div>';
	} else {
	
		echo '<table class="table"><tr><td>ID</td><td>Название</td><td>URL</td><td>Статус</td><td>Жить до</td><td>Переходов сегодня</td><td>Действие</td></tr>';
		while ($row = $db->fetch_assoc($sql)) {
			echo '<tr><td>'.$row['id'].'</td><td>'.htmlspecialchars($row['name']).'</td><td>'.strtok(htmlspecialchars(str_ireplace('http://', '', $row['url'])), '/').'</td><td>'.($row['status'] ? 'выкл' : 'вкл').'</td><td>'.clock($row['date']).'</td><td>'.($row['counter'] ? '<a href="'.REKLFILE.'/logs/'.$row['id'].'/">'.$row['counter'].'</a>' : 0).'</td><td><a href="'.REKLFILE.'/edit/'.$row['id'].'/">Изменить</a>/<a href="'.REKLFILE.'/delete/'.$row['id'].'/">Удалить</a></td></tr>';
		}
		echo '</table>';
		
		if ($k_page > 1) {
			navigation(REKLFILE.'/link/'.($type ? '1/' : ''), $k_page, $page);
		}
	
	}
	
	require_footer (REKLFILE, 'Рекламные ссылки');
	
	break;
	
	case 'logs':
	
	$sql = $db->query("SELECT (`type`) FROM `".REKL."` WHERE `id`='".$id."'");
	
	if ($db->num_rows($sql)) {
		$rekl = $db->fetch_assoc($sql);
	} else {
		error ('Рекламная площадка не найдена!', REKLFILE, 'Рекламные ссылки');
	}
	
	unset($sql);
	
	$count = $db->result("SELECT COUNT(`id`) FROM `".REKLOGS."` WHERE `ref`='".$id."'", 1);
	
	require_header ('Логин переходов, ID: '.$id);
	echo '<div class="main"><b>Всего переходов</b>: '.$count.'</div>';
	
	$k_page = k_page($count, 10); 
	$page = page($k_page);
	
	$sql = $db->query("SELECT * FROM `".REKLOGS."` WHERE `ref`='".$id."' ORDER BY `id` DESC LIMIT ".(10 * $page - 10).", 10");
	
	if ($db->num_rows($sql) == 0) {
		echo '<div class="error">По данной площадке небыло переходов сегодня!</div>';
	} else {
		$i = 0;
		
		echo '<table class="table"><tr><td>№</td><td>IP-адрес</td><td>User-Agent</td><td>Переходов</td></tr>';
		
		while ($row = $db->fetch_assoc($sql)) {
			$i ++;
			echo '<tr><td>'.$i.'</td><td>'.long2ip($row['ip']).'</td><td>'.htmlspecialchars($row['user_agent']).'</td><td>'.$row['count'].'</td></tr>';
		}
		
		echo '</table>';
		
		if ($k_page > 1) {
			navigation(REKLFILE.'/logs/'.$id.'/', $k_page, $page);
		}
	}
	
	require_footer (REKLFILE.'/link/'.($row['type'] ? null : '?type=1'), 'Рекламные ссылки');
	
	break;
	
	case 'edit':
	
	$sql = $db->query("SELECT * FROM `".REKL."` WHERE `id`='".$id."'");
	
	if ($db->num_rows($sql)) {
		$row = $db->fetch_assoc($sql);
	} else {
		error ('Рекламная ссылка не найдена!', REKLFILE, 'Рекламные ссылки');
	}
	
	require_header ('Изменить рекламную ссылку, ID: '.$id);
	
	if (isset($_POST['submit'])) {
	
		$error = '';
		
		if (empty($_POST['name'])) {
			$error .= 'Введите название ссылки!<br/>';
		}
		elseif (iconv_strlen($_POST['name']) < 5 || iconv_strlen($_POST['name']) > 30) {
			$error .= 'Название ссылки должно содержать от 5 до 30 символов!<br/>';
		}
		elseif ($db->num_rows("SELECT (`id`) FROM `".REKL."` WHERE `name`='".$db->escape($_POST['name'])."' AND `type`='".intval($_POST['type'])."' AND `id`<>'".$id."' LIMIT 1", 1)) {
			$error .= 'Ссылка с таким названием уже существует!<br/>';
		}
		
		if (empty($_POST['url'])) {
			$error .= 'Введите адрес ссылки!<br/>';
		}
		elseif (!preg_match('~(^http://[a-z0-9\-\.\/]+)$~i', $_POST['url'])) {
			$error .= 'Адрес площадки введен не верно!<br/>';
		}
		elseif ($db->num_rows("SELECT (`id`) FROM `".REKL."` WHERE `url`='".$db->escape($_POST['url'])."' AND `type`='".intval($_POST['type'])."' AND `id`<>'".$id."' LIMIT 1", 1)) {
			$error .= 'Площадка с таким URL уже существует!<br/>';
		}
		
		if (!empty($_POST['time']) && !is_numeric($_POST['time'])) {
			$error .= 'Не верно введен срок до истечения работоспособности ссылки!<br/>';
		}
		
		if ($error) {
			echo '<div class="error"><b>Возникшие ошибки:</b><br/>'.$error.'</div>';
		} else {
		
			if ($db->query("UPDATE `".REKL."` SET ".(empty($_POST['time']) ? '' : "`date`='".(time() + intval($_POST['time'] * $_POST['date']))."',")." `color`='".$db->escape($_POST['color'])."', `status`='".intval($_POST['status'])."', `type`='".intval($_POST['type'])."', `name`='".$db->escape($_POST['name'])."', `url`='".$db->escape($_POST['url'])."' WHERE `id`='".$id."'")) {
				echo '<div class="line"><b>Ссылка успешно изменена!</b></div>';
				header ('Refresh: 1, url='.REKLFILE);
			} else {
				echo '<div class="error">Ошибка при изменении рекламной ссылки!<br/><b>'.$db->SQLerror().'</b></div>';
			}
		
		}
	
	}
	
	echo '<form class="menu" action="" method="post">
	<b>Название</b>:<br/><input type="text" name="name" value="'.htmlspecialchars($row['name']).'" maxlength="30"/><br/>
	<b>Ссылка</b>:<br/><input type="text" name="url" value="'.htmlspecialchars($row['url']).'" maxlength="35"/><br/>
	<b>Цвет ссылки</b>:<br/><select name="color">
	<option value="" '.select('', $row['color']).'>Обычный</option>
	<option value="blue" '.select('blue', $row['color']).'>Синий</option>
	<option value="red" '.select('red', $row['color']).'>Красный</option>
	<option value="green" '.select('green', $row['color']).'>Зеленый</option>
	</select><br/>
	<b>Поставить на</b>:<br/><input type="text" size="10" name="time" maxlength="5"/> <select name="date">
	<option value="86400">день</option>
	<option value="604800" selected="selected">неделя</option>
	<option value="2592000">месяц</option>
	<option value="31104000">год</option></select><br/>
	<b>Жить до</b>: '.clock($row['date']).'<br/>
	После истечения срока ссылка удаляется!<br/><br/>
	<b>Место расположения</b>:<br/>
	<input type="radio" name="type" value="1" '.check(1, $row['type']).'/> Внизу<br/>
	<input type="radio" name="type" value="0" '.check(0, $row['type']).'/> Вверху<br/>
	<b>Статус ссылки</b>:<br/>
	<input type="radio" name="status" value="0" '.check(0, $row['status']).'> Включена<br/>
	<input type="radio" name="status" value="1" '.check(1, $row['status']).'> Отключена<br/>
	<input type="submit" name="submit" value="Изменить"/>
	</form>';
	
	require_footer (REKLFILE.'/link/'.($row['type'] ? '?type=1' : ''), 'Рекламные ссылки');
	
	break;
	
	case 'delete':
	
	$sql = $db->query("SELECT (`type`) FROM `".REKL."` WHERE `id`='".$id."'");
	
	if ($db->num_rows($sql)) {
		$row = $db->fetch_assoc($sql);
	} else {
		error ('Ссылка не найдена!', REKLFILE, 'Рекламные ссылки');
	}
	
	require_header ('Удалить рекламную ссылку, ID: '.$id);
	
	if (isset($_POST['delete'])) {
	
		if ($db->query("DELETE FROM `".REKL."` WHERE `id`='".$id."'")) {
			echo '<div class="line"><b>Ссылка успешно удалена!</b></div>';
			header ('Refresh: 1, url='.REKLFILE.'/link/'.($row['type'] ? '?type=1' : ''));
		} else {
			echo '<div class="error">Ошибка при удалении ссылки!<br/><b>'.$db->SQLerror().'</b></div>';
		}
	
	}
	
	echo '<form class="menu" action="" method="post">
	<b>Вы действительно хотите удалить данную ссылку?</b><br/>
	<input type="submit" name="delete" value="Да"/> <a href="'.REKLFILE.'/link/'.($row['type'] ? '?type=1' : '').'"><input type="button" value="Нет"/></a>
	</form>';
	
	require_footer (REKLFILE.'/link/'.($row['type'] ? '?type=1' : ''), 'Рекламные ссылки '.($row['type'] ? 'вверху' : 'внизу'));
	
	break;
	
	case 'add':
	
	require_header ('Добавить рекламную ссылку');
	
	if (isset($_POST['submit'])) {
	
		$error = '';
		
		if (empty($_POST['name'])) {
			$error .= 'Введите название ссылки!<br/>';
		}
		elseif (iconv_strlen($_POST['name']) < 5 || iconv_strlen($_POST['name']) > 30) {
			$error .= 'Название ссылки должно содержать от 5 до 30 символов!<br/>';
		}
		elseif ($db->num_rows("SELECT (`id`) FROM `".REKL."` WHERE `name`='".$db->escape($_POST['name'])."' AND `type`='".intval($_POST['type'])."' LIMIT 1", 1)) {
			$error .= 'Ссылка с таким названием уже существует!<br/>';
		}
		
		if (empty($_POST['url'])) {
			$error .= 'Введите адрес ссылки!<br/>';
		}
		elseif (!preg_match('~(^http://[a-z0-9\-\.\/]+)$~i', $_POST['url'])) {
			$error .= 'Адрес площадки введен не верно!<br/>';
		}
		elseif ($db->num_rows("SELECT (`id`) FROM `".REKL."` WHERE `url`='".$db->escape($_POST['url'])."' AND `type`='".intval($_POST['type'])."' LIMIT 1", 1)) {
			$error .= 'Площадка с таким URL уже существует!<br/>';
		}
		
		if (empty($_POST['time']) || !is_numeric($_POST['time'])) {
			$error .= 'Не верно введен срок до истечения работоспособности ссылки!<br/>';
		}
		
		if ($error) {
			echo '<div class="error"><b>Возникшие ошибки:</b><br/>'.$error.'</div>';
		} else {
		
			if ($db->query("INSERT INTO `".REKL."` SET `date`='".(time() + intval($_POST['time'] * $_POST['date']))."', `color`='".$db->escape($_POST['color'])."', `status`='".intval($_POST['status'])."', `type`='".intval($_POST['type'])."', `name`='".$db->escape($_POST['name'])."', `url`='".$db->escape($_POST['url'])."'")) {
				echo '<div class="line"><b>Ссылка успешно добавлена!</b></div>';
				header ('Refresh: 1, url='.REKLFILE);
			} else {
				echo '<div class="error">Ошибка при добавлении рекламной ссылки!<br/><b>'.$db->SQLerror().'</b></div>';
			}
		
		}
	
	}
	
	echo '<form class="menu" action="" method="post">
	<b>Название</b>:<br/><input type="text" name="name" maxlength="30"/><br/>
	<b>Ссылка</b>:<br/><input type="text" name="url" maxlength="35" value="http://"/><br/>
	<b>Цвет ссылки</b>:<br/><select name="color">
	<option value="">Обычный</option>
	<option value="blue">Синий</option>
	<option value="red">Красный</option>
	<option value="green">Зеленый</option>
	</select><br/>
	<b>Поставить на</b>:<br/><input type="text" size="10" name="time" maxlength="5"/> <select name="date">
	<option value="86400">день</option>
	<option value="604800" selected="selected">неделя</option>
	<option value="2592000">месяц</option>
	<option value="31104000">год</option></select><br/>
	<b>Место расположения</b>:<br/>
	<input type="radio" name="type" value="1"/> Внизу<br/>
	<input type="radio" name="type" value="0" checked="checked"/> Вверху<br/>
	<b>Статус ссылки</b>:<br/>
	<input type="radio" name="status" value="0" checked="checked"> Включена<br/>
	<input type="radio" name="status" value="1"> Отключена<br/>
	<input type="submit" name="submit" value="Добавить"/>
	</form>';
	
	require_footer (REKLFILE, 'Рекламные ссылки');
	
	break;

}
?>