<?php
/**
 * NesCat (Nesquik catalog) 0.1 stable
 *
 * Система представляет собой скрипт для каталога сайтов
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: Провокатор
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

/* Подключаем системный файл */
if (file_exists('__incfiles/core.php')) {
	require_once ('__incfiles/core.php');
} else {
	exit ('Немогу подключить системный файл!');
}

if ($user) header ('Location: '.PATH.'/profile/index.xhtml');

require_header ('Аутенфикация');
echo '<div class="main"><b>Все поля обязательны для заполнения.</b></div>';

if (isset($_REQUEST['login'], $_REQUEST['password'])) {

	$error = '';
	
	if (empty($_REQUEST['login'])) {
		$error .= 'Введите ваш логин в системе!<br/>';
	}
	elseif (!preg_match('/(^[a-zA-Z0-9\-_]{3,13}+)$/', $_REQUEST['login'])) {
		$error .= 'Логин должен быть формата _a-Z0-9- не менее 3 и не более 13 символов!<br/>';
	}
	elseif (!$db->num_rows("SELECT (`id`) FROM `".USERS."` WHERE `login`='".$db->escape($_REQUEST['login'])."' LIMIT 1", 1)) {
		$error .= 'Пользователь с логином "'.htmlspecialchars($_REQUEST['login']).'" не зарегистрирован!<br/>';
	}
	
	if (empty($_REQUEST['password'])) {
		$error .= 'Введите ваш пароль от аккаунта!<br/>';
	}
	elseif (!preg_match('/(^[a-zA-Z0-9\-_]{3,13}+)$/', $_REQUEST['password'])) {
		$error .= 'Пароль долен содержать символы _a-Z0-9- не менее 4 и не более 15 символов!<br/>';
	}
	elseif ($db->num_rows("SELECT (`id`) FROM `".USERS."` WHERE `login`='".$db->escape($_REQUEST['login'])."' AND `password`<>'".$db->escape(md5($_REQUEST['password']))."' LIMIT 1", 1)) {
		$error .= 'Логин и пароль не совпадают!<br/>';
	}
	
	if (isset($_SESSION['error_auth']) && empty($_REQUEST['code'])) {
		$error .= 'Введите код с картинки!';
	}
	elseif ($_SESSION['code'] != $_REQUEST['code']) {
		$error .= 'Код с картинки введен не верно!';
	}
	
	if ($error) {
		$_SESSION['error_auth'] = true;
		echo '<div class="error"><b>Возникшие ошибки:</b><br/>'.$error.'</div>';
	} else {
	
		if (isset($_SESSION['error_auth'])) {
			unset($_SESSION['error_auth']);
		}
		
		$_SESSION['login'] = $_REQUEST['login'];
		$_SESSION['password'] = md5($_REQUEST['password']);
	
		header ('Location: '.PATH.'/profile/index.xhtml');
	
	}

}

echo '<form class="menu" action="" method="post">
<b>Логин</b> [min: 3, max: 13]:<br/><input type="text" name="login" maxlength="13"/><br/>
<b>Пароль</b> [min: 4, max: 15]:<br/><input type="password" name="password" maxlength="15"/><br/>';
if (isset($_SESSION['error_auth'])) {
	echo '<b>Код с картинки</b>:<br/><img id="captcha" style="border: 1px solid black;" src="'.PATH.'/'.mt_rand(1111,9999).'.code" alt=""/><br/>
	<input type="text" name="code" maxlength="5" size="6"/> <a href="javascript:captcha_reload();"><small>Обновить</small></a><br/>';
}
echo '<input type="submit" name="submit" value="Авторизация"/>
</form>

<div class="main"><b>Если вы забыли пароль, воспользуйтесь <a href="'.PATH.'/forgot.xhtml">восстановлением</a> пароля!</b></div>';

require_footer (PATH, 'На главную');
?>