<?php
/**
 * NesCat (Nesquik catalog) 0.1 stable
 *
 * Система представляет собой скрипт для каталога сайтов
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: Провокатор
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

/* Подключаем системный файл */
if (file_exists('__incfiles/core.php')) {
	require_once ('__incfiles/core.php');
} else {
	exit ('Немогу подключить системный файл!');
}

if ($user) header ('Location: '.PATH.'/profile/index.xhtml');

if (isset($_GET['key'], $_GET['login'])) {

	$sql = $db->query("SELECT (`id`) FROM `".FORGOT."` WHERE `key`='".$db->escape($_GET['key'])."' AND `login`='".$db->escape($_GET['login'])."' LIMIT 1");

	if ($db->num_rows($sql) == 0) {
		header ('Location: '.PATH.'/forgot.xhtml');
	} else {
	
		require_header ('Изменение пароля');
		
		if (isset($_POST['password'], $_POST['last_password'])) {
		
			$error = '';
		
			if (empty($_POST['password'])) {
				$error .= 'Введите текущий пароль!<br/>';
			}
			elseif (!preg_match('/(^[a-zA-Z0-9\-_]{3,13}+)$/', $_POST['password'])) {
				$error .= 'Пароль долен содержать символы _a-Z0-9- не менее 4 и не более 15 символов!<br/>';
			}
			
			if (empty($_POST['last_password'])) {
				$error .= 'Введите проверочный пароль!<br/>';
			}
			elseif (!preg_match('/(^[a-zA-Z0-9\-_]{3,13}+)$/', $_POST['last_password'])) {
				$error .= 'Проверочный пароль долен содержать символы _a-Z0-9- не менее 4 и не более 15 символов!<br/>';
			}
			elseif ($_POST['last_password'] != $_POST['password']) {
				$error .= 'Проверочный пароль введен не верно!<br/>';
			}
			
			if (empty($_POST['code'])) {
				$error .= 'Введите код с картинки!';
			}
			elseif ($_SESSION['code'] != $_POST['code']) {
				$error .= 'Код с картинки введен не верно!';
			}
		
			if ($error) {
				echo '<div class="error"><b>Возникшие ошибки:</b><br/>'.$error.'</div>';
			} else {
			
				if ($db->query("UPDATE `".USERS."` SET `password`='".$db->escape(md5($_POST['password']))."' WHERE `login`='".$db->escape($_GET['login'])."' LIMIT 1")) {
					echo '<div class="line"><b>Пароль успешно изменен!</b></div>';
					header ('Refresh: 1, url='.PATH.'/auth.xhtml');
				} else {
					echo '<div class="error">Ошибка при восстановлении пароля!<br/><b>'.$db->SQLerror().'</b></div>';
				}
			
			}
		
		}
		
		echo '<form class="menu" action="" method="post">
		<b>Новый пароль</b>:<br/><input type="password" name="password" maxlength="15"/><br/>
		<b>Повторите пароль</b>:<br/><input type="password" name="last_password" maxlength="15"/><br/>
		<b>Код с картинки</b>:<br/><img id="captcha" style="border: 1px solid black;" src="'.PATH.'/'.mt_rand(1111,9999).'.code" alt=""/><br/>
		<input type="text" name="code" maxlength="5" size="6"/> <a href="javascript:captcha_reload();"><small>Обновить</small></a><br/>
		<input type="submit" value="Изменить"/>
		</form>';
		
		require_footer (PATH, 'На главную');
	
	}
	
} else {

	require_header ('Восстановление пароля');

	if (isset($_POST['submit'])) {

		$error = '';
		
		if (empty($_POST['login'])) {
			$error .= 'Введите логин для регистрации!<br/>';
		}
		elseif (!preg_match('/(^[a-zA-Z0-9\-_]{3,13}+)$/', $_POST['login'])) {
			$error .= 'Логин должен быть формата _a-Z0-9- не менее 3 и не более 13 символов!<br/>';
		}
		elseif (!$db->num_rows("SELECT (`id`) FROM `".USERS."` WHERE `login`='".$db->escape($_POST['login'])."' LIMIT 1", 1)) {
			$error .= 'Пользователь с логином "'.htmlspecialchars($_POST['login']).'" не зарегистрирован!<br/>';
		}
		
		if (empty($_POST['email'])) {
			$error .= 'Введите ваш почтовый ящик!<br/>';
		}
		elseif (!preg_match('|^([a-z0-9_\.\-]{1,20})@([a-z0-9\.\-]{1,20})\.([a-z]{2,4})$|ius', $_POST['email'])) {
			$error .= 'E-mail должен быть вида login@example.com!<br/>';
		}
		elseif ($db->num_rows("SELECT (`id`) FROM `".USERS."` WHERE `login`='".$db->escape($_POST['login'])."' AND `email`<>'".$db->escape($_POST['email'])."' LIMIT 1", 1)) {
			$error .= 'Данные введены не верно!<br/>';
		}
		
		if (empty($_POST['code'])) {
			$error .= 'Введите код с картинки!';
		}
		elseif ($_SESSION['code'] != $_POST['code']) {
			$error .= 'Код с картинки введен не верно!';
		}
		
		if ($error) {
			echo '<div class="error"><b>Возникшие ошибки:</b><br/>'.$error.'</div>';
		} else {
		
			$_SESSION['key'] = generate(25);
		
			if ($db->query("INSERT INTO `".FORGOT."` SET `date`=NOW(), `login`='".$db->escape($_POST['login'])."', `email`='".$db->escape($_POST['email'])."', `key`='".$_SESSION['key']."'")) {
				
				$mail = array(
				'email' => htmlspecialchars($_POST['email']),
				'theme' => 'Восстановление пароля',
				'message' => 'Доброе время суток!'."\n".'Вы запросили восстановление пароля, на сайте '.PATH."\n".'Если вы этого не делали, просто проигнорируйте письмо'."\n".'Ваш KEY: '.$_SESSION['key']."\n".'Для восстановления пароля перейдите по ссылке: '.PATH.'/forgot.xhtml?login='.htmlspecialchars($_POST['login']).'&key='.$_SESSION['key']."\n".'Ссылка будет доступна в течении одного дня'."\n".'С уважением администрация '.getenv('HTTP_HOST')
				);
				
				mailto ($mail['email'], $mail['theme'], $mail['message']);
				
				echo '<div class="line"><b>Письмо с инструкцией выслано на указанный вами E-mail!</b></div>';
				unset($_SESSION['key']);
				header ('Refresh: 1');
			} else {
				echo '<div class="error">Ошибка при восстановлении пароля!<br/><b>'.$db->SQLerror().'</b></div>';
			}
		
		}

	}

	echo '<form class="menu" action="" method="post">
	<b>Логин</b> [min: 3, max: 13]:<br/><input type="text" name="login" maxlength="13"/><br/>
	<b>E-mail</b>:<br/><input type="text" name="email" maxlength="44"/><br/>
	<b>Код с картинки</b>:<br/><img id="captcha" style="border: 1px solid black;" src="'.PATH.'/'.mt_rand(1111,9999).'.code" alt=""/><br/>
	<input type="text" name="code" maxlength="5" size="6"/> <a href="javascript:captcha_reload();"><small>Обновить</small></a><br/>
	<input type="submit" name="submit" value="Восстановить"/>
	</form>
	<div class="title">Восстановление пароля</div>
	<form class="menu" action="" method="get">
	<b>Логин</b>:<br/><input type="text" name="login" maxlength="13"/><br/>
	<b>KEY</b>:<br/><input type="text" name="key" maxlength="25"/><br/>
	<input type="submit" value="Восстановить"/>
	</form>';

	require_footer (PATH, 'На главную');

}
?>