<?php
/**
 * NesCat (Nesquik catalog) 0.1 stable
 *
 * Система представляет собой скрипт для каталога сайтов
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: Провокатор
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

/* Подключаем системный файл */
if (file_exists('__incfiles/core.php')) {
	require_once ('__incfiles/core.php');
} else {
	exit ('Немогу подключить системный файл!');
}

require_header ('Каталог WAP сайтов');

Advertizing (false);

$new_site = $db->fetch_row("SELECT COUNT(`id`) FROM `".SITE."` WHERE `status`='1' AND `in`>='1' AND `date`=CURDATE()", 1);

$newsite = (empty($new_site[0]) ? 0 : '<span style="color:red">+'.intval($new_site[0]).'</span>');

echo '<div class="alt">
<img src="'.PATH.'/images/style/icon.png" alt=""/> <a href="'.PATH.'/top.xhtml">Top-100 сайтов</a><br/>
<img src="'.PATH.'/images/style/icon.png" alt=""/> <a href="'.PATH.'/new.xhtml">Новые сайты</a> ['.$newsite.']
</div>';

$sql = $db->query("SELECT `cat`.`id`, `cat`.`name`, COUNT(`url`.`id`) AS `count` FROM `".CATEGORY."` AS `cat` LEFT JOIN `".SITE."` AS `url` ON (`cat`.`id`=`url`.`category` AND `url`.`status`='1' AND `url`.`in`>='1') GROUP BY `cat`.`id` ORDER BY `cat`.`place` ASC");

if ($db->num_rows($sql) == 0) {
	echo '<div class="error">Категорий нет</div>';
} else {

	while ($row = $db->fetch_assoc($sql)) {
		echo '<div class="line"><img src="'.PATH.'/images/style/icon.png" alt=""/> <a href="'.PATH.'/category/'.$row['id'].'/"><b>'.htmlspecialchars($row['name']).'</b></a> ['.$row['count'].']</div>';
	}
	
}

unset($sql);

$sql = $db->query("SELECT (`date`) FROM `".NEWS."` WHERE `ref`='' ORDER BY `id` DESC LIMIT 1");

if ($db->num_rows($sql)) {
	$news = $db->fetch_assoc($sql);
} else {
	$news['date'] = 0;
}

echo '<div class="block">
&rsaquo; <a href="'.PATH.'/search.xhtml"><b>Поиск по каталогу</b></a>
</div>';

echo '<div class="men"><img src="'.PATH.'/images/style/menu.png" alt=""/></div>
<div class="alt">
&raquo; <a href="'.PATH.'/news/">Новости</a> ['.($news['date'] ? date('d.m.y', $news['date']) : $news['date']).']<br/>';

if ($user) {
	if ($user['admin']) {
		echo '&raquo; <a href="'.PATH.'/admin/index.xhtml"><b>Админ-панель</b></a><br/>';
	}
	echo '&raquo; <a href="'.PATH.'/profile/index.xhtml">Панель управления</a><br/>';
} else {
	echo '&raquo; <a href="'.PATH.'/catalog.xhtml/rules/">Регистрация</a><br/>
	&raquo; <a href="'.PATH.'/auth.xhtml">Авторизация</a><br/>';
}

echo '&raquo; <a href="'.PATH.'/stat.xhtml">Статистика</a></div>';

Advertizing (true);

require_footer ();
?>