<?php
/**
 * NesCat (Nesquik catalog) 0.1 stable
 *
 * Система представляет собой скрипт для каталога сайтов
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: Провокатор
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

/* Подключаем системный файл */
if (file_exists('../__incfiles/core.php')) {
	require_once ('../__incfiles/core.php');
} else {
	exit ('Немогу подключить системный файл!');
}

$sql = $db->query("SELECT `name`, `comment` FROM `".NEWS."` WHERE `ref`='' AND `id`='".$id."'");

if ($db->num_rows($sql)) {
	$news = $db->fetch_assoc($sql);
} else {
	error ('Такой новости не существует!', PATH.'/news/', 'Все новости');
}

if ($news['comment'] == 0) {
	error ('Комментарии к данной новости отключены администратором!', PATH.'/news/', 'Все новости');
}

unset($sql);

switch ($act) {

	default:

	$count_comment = $db->result("SELECT COUNT(`id`) FROM `".NEWS."` WHERE `ref`='".$id."'", 1);

	require_header ('Новости каталога');
	echo '<div class="main"><b>Всего комментариев: '.$count_comment.'</b></div>';

	$k_page = k_page($count_comment, $set['comment']); 
	$page = page($k_page);
	
	$sql = $db->query("SELECT * FROM `".NEWS."` WHERE `ref`='".$id."' ORDER BY `id` DESC LIMIT ".($set['comment'] * $page - $set['comment']).", ".$set['comment']);

	if ($db->num_rows($sql) == 0) {
		echo '<div class="error">Комментариев нет!</div>';
	} else {
		
		while ($row = $db->fetch_assoc($sql)) {
			echo '<div class="alt"><b>'.htmlspecialchars($row['name']).'</b> ['.clock($row['date']).']</div>
			<div class="line">'.nl2br(bbcode(smiles(htmlspecialchars($row['text'])))).'<br/>';
			if (!empty($row['answer'])) {
				echo '<span style="color:red"><b>Ответ:</b> '.nl2br(bbcode(smiles(htmlspecialchars($row['answer'])))).'</span><br/>';
			}
			echo '</div>';
		}
		
		if ($k_page > 1) {
			navigation(PATH.'/news/comment.xhtml/', $k_page, $page);
		}
		
	}

	if ($user) {
		echo '<div class="main"><a href="'.PATH.'/news/comment.xhtml/'.$id.'/add/"><b>Добавить комментарий</b></a></div>';
	} else {
		echo '<div class="main">Для того, чтобы комментаривать новости, вам необходимо <a href="'.PATH.'/auth.xhtml">авторизироваться</a>!</div>';
	}

	require_footer (PATH.'/news/', 'К новостям');

	break;

	case 'add':
	
	if (!$user) header('Location: '.PATH.'/auth.xhtml');
	
	require_header ('Добавить комментарий, ID: '.$id);
	
	if (isset($_POST['text'])) {
		
		$error = '';
		
		if (isset($_SESSION['comment_news']) && $_SESSION['comment_news'] > (time() - 60)) {
			$error .= 'Следующий комментарий можно будет добавить через '.($_SESSION['comment_news'] - (time() - 60)).'сек!<br/>';
		}
		
		if (empty($_POST['text'])) {
			$error .= 'Комментарий не должен быть пустым!';
		}
		elseif (iconv_strlen($_POST['text']) < 10) {
			$error .= 'Слишком короткий комментарий!';
		}
		
		if ($error) {
			echo '<div class="error"><b>Возникшие ошибки:</b><br/>'.$error.'</div>';
		} else {
		
			if ($db->query("INSERT INTO `".NEWS."` SET `date`='".time()."', `ref`='".$id."', `name`='".$db->escape($user['login'])."', `text`='".$db->escape($_POST['text'])."'")) {
				$_SESSION['comment_news'] = time();
				echo '<div class="line"><b>Комментарий успешно добавлен!</div>';
				header ('Refresh: 1, url='.PATH.'/news/comment.xhtml/'.$id.'/');
			} else {
				echo '<div class="error">Ошибка при добавлении комментария!<br/><b>'.$db->SQLerror().'</b></div>';
			}
		
		}
	
	}
	
	echo '<form name="form" class="menu" action="" method="post">
	<b>Комментарий</b>:[<small><a href="'.PATH.'/catalog.xhtml/smiles/">Смайлы</a> / <a href="'.PATH.'/catalog.xhtml/bbcode/">ББ-коды</a></small>]<br/><textarea name="text" rows="3" cols="30"></textarea><br/>
	<input type="submit" name="submit" value="Добавить"/>
	</form>';
	
	require_footer (PATH.'/news/comment.xhtml/'.$id.'/', 'К комментариям');

	break;

}
?>