<?php
/**
 * NesCat (Nesquik catalog) 0.1 stable
 *
 * Система представляет собой скрипт для каталога сайтов
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: Провокатор
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

/* Подключаем системный файл */
if (file_exists('../__incfiles/core.php')) {
	require_once ('../__incfiles/core.php');
} else {
	exit ('Немогу подключить системный файл!');
}

if (!$user) header ('Location: '.PATH.'/auth.xhtml');

define('ROOT', PATH.'/profile');
define('STAT', PATH.'/profile/stat.xhtml');

$sql = $db->query("SELECT *, DATE_FORMAT(`date`, '%d.%m.%Y') AS `date_reg` FROM `".SITE."` WHERE `id`='".$id."' AND `ref`='".$user['id']."'");

if ($db->num_rows($sql)) {
	$row = $db->fetch_assoc($sql);
} else {
	error ('Сайта не существует!', PATH, 'На главную');
}

switch ($act) {

	default:

	require_header ('Статистика сайта, ID: '.$id);
	echo '<div class="main"><b>'.htmlspecialchars($row['name']).'</b></div>';

	$_count = $db->fetch_row("SELECT COUNT(`id`), (SELECT COUNT(`id`) FROM `".LOGS."` WHERE `type`='out' AND `date`=(CURDATE() - INTERVAL 1 DAY) AND `ref`='".$id."') FROM `".LOGS."` WHERE `type`='in' AND `date`=(CURDATE() - INTERVAL 1 DAY) AND `ref`='".$user['id']."'", 1);
	
	echo '<div class="alt">
	<b>Ссылка</b>: <a href="'.PATH.'/'.$id.'.out">'.htmlspecialchars(str_ireplace('http://', '', $row['url'])).'</a><br/>
	<b>Зарегистрирован</b>: '.$row['date_reg'].' </div>
	<div class="alt">- Переходы сегодня:</div>
	<div class="line">
	<b>В каталог</b>: '.$row['in'].'<br/>
	<b>Из каталога</b>: '.$row['out'].'</div>
	<div class="alt">- Переходы вчера:</div>
	<div class="line">
	<b>В каталог</b>: '.intval($_count[0]).'<br/>
	<b>Из каталога</b>: '.intval($_count[1]).'</div>
	<div class="alt">- Переходы всего:</div>
	<div class="line">
	<b>В каталог</b>: '.$row['in_all'].'<br/>
	<b>Из каталога</b>: '.$row['out_all'].'</div>

	<div class="alt"><b>Подробная статистика:</b><br/>
	<a href="'.STAT.'/operator/'.$id.'/">По операторам</a> / <a href="'.STAT.'/country/'.$id.'/">По странам</a> / <a href="'.STAT.'/phone/'.$id.'/">По мобилам</a> / <a href="'.STAT.'/online/'.$id.'/">OnLine</a></div>';

	require_footer (ROOT.'/platform.xhtml', 'Мои площадки');
	
	break;

	case 'online':
	
	$count_online = $db->result("SELECT COUNT(`id`) FROM `".ONLINE."` WHERE `ref`='".$id."' AND `date`>=(NOW() - INTERVAL 3 MINUTE)", 1);
	
	require_header ('OnLine гости, ID: '.$id);
	echo '<div class="main"><b>OnLine гостей: '.$count_online.'</b></div>';
	
	$k_page = k_page($count_online, 10); 
	$page = page($k_page);
	
	$sql = $db->query("SELECT *, DATE_FORMAT(`date`, '%h:%i:%s') AS `time` FROM `".ONLINE."` WHERE `ref`='".$id."' AND `date`>=(NOW() - INTERVAL 3 MINUTE) LIMIT ".(10 * $page - 10).", 10");
	
	if ($db->num_rows($sql) == 0) {
		echo '<div class="error">Онлайн никого нет, или вы не установили счетчик!</div>';
	} else {
		echo '<table class="table"><tr><td>Время</td><td>IP-адрес</td><td>User-Agent</td></tr>';
		
		while ($row = $db->fetch_assoc($sql)) {
			echo '<tr><td>'.$row['time'].'</td><td>'.long2ip($row['ip']).'</td><td>'.htmlspecialchars($row['user_agent']).'</td></tr>';
		}
		echo '</table>';
		
		if ($k_page > 1) {
			navigation(STAT.'/online/'.$id.'/', $k_page, $page);
		}
		
	}
	
	require_footer (STAT.'/'.$id.'/', 'Статистика, ID: '.$id);
	
	break;
	
	case 'country':
	
	require_header ('Статистика по странам, ID: '.$id);
	
	$k_page = k_page($db->result("SELECT COUNT(DISTINCT(`country`)) FROM `".OPERATOR."`", 1), 10); 
	$page = page($k_page);
	
	$sql = $db->query("SELECT `id`,`country` FROM `".OPERATOR."` GROUP BY `country` ORDER BY `id` ASC LIMIT ".(10 * $page - 10).", 10");
	
	echo '<table class="table"><tr><td>Страна</td><td>В каталог</td><td>Из каталога</td></tr>';
	while ($row = $db->fetch_assoc($sql)) {
		$count = $db->fetch_row("SELECT COUNT(`id`), (SELECT COUNT(`id`) FROM `".LOGS."` WHERE `date`=CURDATE() AND `ref`='".$id."' AND `oper`='".$row['id']."' AND `type`='out') FROM `".LOGS."` WHERE `date`=CURDATE() AND `ref`='".$id."' AND `oper`='".$row['id']."' AND `type`='in'", 1);
		echo '<tr><td>'.htmlspecialchars($row['country']).'</td><td>'.intval($count[0]).'</td><td>'.intval($count[1]).'</td></tr>';
	}
	echo '</table>';
	
	if ($k_page > 1) {
		navigation(STAT.'/country/'.$id.'/', $k_page, $page);
	}
	
	require_footer (STAT.'/'.$id.'/', 'Статистика, ID: '.$id);
	
	break;
	
	case 'phone':
	
	require_header ('Статистика по мобилам, ID: '.$id);
	
	$phone = array('Другие', 'SONYERICSSON', 'Nokia', 'Samsung', 'SIE', 'Motorolla', 'LG', 'SHARP', 'Panasonic', 'Sagem', 'Pantech', 'NEC', 'BENQ', 'Fly');
	
	echo '<table class="table"><tr><td>Марка</td><td>В каталог</td><td>Из каталога</td></tr>';
	
	foreach ($phone as $key => $mobile) {
		
		$count = $db->fetch_row("SELECT COUNT(`id`), (SELECT COUNT(`id`) FROM `".LOGS."` WHERE `phone`='".$key."' AND `ref`='".$id."' AND `type`='out' AND `date`=CURDATE()) FROM `".LOGS."` WHERE `phone`='".$key."' AND `ref`='".$id."' AND `type`='in' AND `date`=CURDATE()", 1);
		
		echo '<tr><td>'.$mobile.'</td><td>'.intval($count[0]).'</td><td>'.intval($count[1]).'</td></tr>';
		
	}

	echo '</table>';
	
	require_footer (STAT.'/'.$id.'/', 'Статистика, ID: '.$id);

	break;
	
	case 'operator':
	
	require_header ('Статистика по операторам, ID: '.$id);
	
	$k_page = k_page($db->result("SELECT COUNT(`id`) FROM `".LOGS."` WHERE `ref`='".$id."' AND `date`=CURDATE()", 1), 10); 
	$page = page($k_page);
	
	$sql = $db->query("SELECT `type`, DATE_FORMAT(`date`, '%d.%m.%Y') AS `date`, `oper` FROM `".LOGS."` WHERE `ref`='".$id."' AND `date`=CURDATE() LIMIT ".(10 * $page - 10).", 10");
	
	if ($db->num_rows($sql) == 0) {
		echo '<div class="error">Статистика по операторам пуста!</div>';
	} else {
	
		echo '<table class="table"><tr><td>Время</td><td>Страна</td><td>Оператор</td><td>Переход</td></tr>';
		while ($row = $db->fetch_assoc($sql)) {
			$str = $db->fetch_assoc("SELECT `name`,`country` FROM `".OPERATOR."` WHERE `id`='".$row['oper']."'", 1);
			echo '<tr><td>'.$row['date'].'</td><td>'.(empty($str['country']) ? 'Неизвестна' : htmlspecialchars($str['country'])).'</td><td>'.(empty($str['name']) ? 'Неизвестен' : htmlspecialchars($str['name'])).'</td><td>'.($row['type'] == 'in' ? 'В каталог' : 'Из каталога').'</td></tr>';
		}
		echo '</table>';
			if ($k_page > 1) {
			navigation(PATH.'/operator/'.$id.'/', $k_page, $page);
		}
		
	}
	
	require_footer (STAT.'/'.$id.'/', 'Статистика, ID: '.$id);
	
	break;
	
}

?>