<?php
/**
 * NesCat (Nesquik catalog) 0.1 stable
 *
 * Система представляет собой скрипт для каталога сайтов
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: Провокатор
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

/* Подключаем системный файл */
if (file_exists('../__incfiles/core.php')) {
	require_once ('../__incfiles/core.php');
} else {
	exit ('Немогу подключить системный файл!');
}

define('ROOT', PATH.'/profile');
define('TICKETFILE', ROOT.'/ticket.xhtml');

if (!$user) header ('Location: '.PATH.'/auth.xhtml');

switch ($act) {

	default:
	
	if ($id) {
	
		$sql = $db->query("SELECT `date`,`text`,`close`,`status` FROM `".TICKET."` WHERE `id`='".$id."' AND `ref`='".$user['id']."'");
	
		if ($db->num_rows($sql)) {
			$ticket = $db->fetch_assoc($sql);
		} else {
			error ('Тикет не найден!', TICKETFILE, 'Мои тикеты');
		}
		
		unset($sql);
		
		require_header ('Тикет, ID: '.$id);
		
		$count = $db->result("SELECT COUNT(`id`) FROM `".TICKETMSG."` WHERE `ref`='".$id."'", 1);
		
		$k_page = k_page($count, 5);
		$page = page($k_page);
		
		$sql = $db->query("SELECT * FROM `".TICKETMSG."` WHERE `ref`='".$id."' LIMIT ".(5 * $page - 5).", 5");
		
		echo '<div class="menu">
		<b>Добавлен</b>: '.clock($ticket['date']).'<br/>
		<b>Статус</b>: '.($row['status'] ? 'Отвеченно' : 'Ожидает ответа').'<br/>
		<b>Сообщение</b>: '.nl2br(bbcode(smiles(htmlspecialchars($ticket['text'])))).'</div>
		
		<div class="title">Комментарии к тикету</div>';
		
		if ($db->num_rows($sql) == 0) {
			echo '<div class="error">Ответов на данный тикет - нет!</div>';
		} else {
			
			while ($row = $db->fetch_assoc($sql)) {
				echo '<div class="alt"><b>'.htmlspecialchars($row['login']).'</b> ['.clock($row['date']).']</div>
				<div class="line">'.nl2br(bbcode(smiles(htmlspecialchars($row['text'])))).'</div>';
			}
			
			if ($k_page > 1) {
				navigation(TICKETFILE.'/'.$id.'/', $k_page, $page);
			}
		}
		
		if ($ticket['close']) {
			echo '<div class="error">Этот тикет закрыт, вы не можете на него отвечать!</div>';
		} else {
			echo '<div class="main"><a href="'.TICKETFILE.'/add_msg/'.$id.'/">Добавить сообщение</a></div>';
		}
		
		require_footer (TICKETFILE, 'Мои тикеты');
	
	} else {
	
	$count = $db->result("SELECT COUNT(`id`) FROM `".TICKET."` WHERE `ref`='".$user['id']."'", 1);
	
	require_header ('Мои тикеты');
	echo '<div class="main"><b>Всего тикетов</b>: '.$count.'</div>';
	
	$k_page = k_page($count, 10);
	$page = page($k_page);
	
	$sql = $db->query("SELECT `id`,`date`,`name`,`status` FROM `".TICKET."` WHERE `ref`='".$user['id']."' ORDER BY `id` DESC LIMIT ".(10 * $page - 10).", 10");

	if ($db->num_rows($sql) == 0) {
		echo '<div class="error">Вы еще не создали ниодного тикета!</div>';
	} else {
	
		echo '<table class="table"><tr><td>Время</td><td>Название</td><td>Статус</td></tr>';
		while ($row = $db->fetch_assoc($sql)) {
			echo '<tr><td>'.clock($row['date']).'</td><td><a href="'.TICKETFILE.'/'.$row['id'].'/">'.htmlspecialchars($row['name']).'</a></td><td>'.($row['status'] ? 'Отвеченно' : 'Ожидает ответа').'</td></tr>';
		}
		echo '</table>';
		
		if ($k_page > 1) {
			navigation(TICKETFILE.'/', $k_page, $page);
		}
		
	}
	
	echo '<div class="main"><a href="'.TICKETFILE.'/add/">Создать тикет</a></div>';
	
	require_footer (ROOT.'/index.xhtml', 'В кабинет');

	}
	
	break;
	
	case 'add':
	
	require_header ('Создать новый тикет');
	
	if (isset($_POST['submit'])) {
	
		$error = '';
		
		if (isset($_SESSION['ticket']) && $_SESSION['ticket'] > (time() - 3600)) {
			$error .= 'Тикет можно создавать только спустя 1 час!<br/>';
		}
		
		if (empty($_POST['name'])) {
			$error .= 'Введите название тикета!<br/>';
		}
		elseif (iconv_strlen($_POST['name']) < 4 || iconv_strlen($_POST['name']) > 40) {
			$error .= 'Название должно содержать от 4 до 40 символов!<br/>';
		}
		
		if (empty($_POST['text'])) {
			$error .= 'Сообщение не должно быть пустым!<br/>';
		}
		elseif (iconv_strlen($_POST['text']) < 4) {
			$error .= 'Слишком короткое сообщение!<br/>';
		}
		
		if (empty($_POST['email'])) {
			$error .= 'Введите E-mail для уведомления!<br/>';
		}
		elseif (!preg_match('|^([a-z0-9_\.\-]{1,20})@([a-z0-9\.\-]{1,20})\.([a-z]{2,4})$|ius', $_POST['email'])) {
			$error .= 'E-mail должен быть вида login@example.com!<br/>';
		}
		
		if ($error) {
			echo '<div class="error"><b>Возникшие ошибки:</b><br/>'.$error.'</div>';
		} else {
		
			if ($db->query("INSERT INTO `".TICKET."` SET `date`='".time()."', `ref`='".$user['id']."', `name`='".$db->escape($_POST['name'])."', `text`='".$db->escape($_POST['text'])."', `email`='".$db->escape($_POST['email'])."'")) {
				$_SESSION['ticket'] = time();
				echo '<div class="block"><b>Тикет успешно добавлен!</b></div>';
				header ('Refresh: 1, url='.TICKETFILE.'/'.$db->SQLID().'/');
			} else {
				echo '<div class="error">Ошибка при добавлении тикета!<br/><b>'.$db->SQLerror().'</b></div>';
			}
		
		}
	
	}
	
	echo '<form class="menu" action="" method="post">
	<b>Название</b>:<br/><input type="text" name="name" maxlength="40"/><br/>
	<b>Сообщение</b>: [<small><a href="'.PATH.'/catalog.xhtml/smiles/">Смайлы</a> / <a href="'.PATH.'/catalog.xhtml/bbcode/">ББ-коды</a></small>]<br/><textarea name="text" rows="4" cols="30"></textarea><br/>
	<b>E-mail для уведомления об ответе</b>:<br/><input type="text" name="email" value="'.htmlspecialchars($user['email']).'" maxlength="44"/><br/>
	<input type="submit" name="submit" value="Создать"/>
	</form>';
	
	require_footer (TICKETFILE, 'Мои тикеты');
	
	
	break;
	
	case 'add_msg':
	
	$sql = $db->query("SELECT (`close`) FROM `".TICKET."` WHERE `id`='".$id."' AND `ref`='".$user['id']."'");
	
	if ($db->num_rows($sql)) {
		$ticket = $db->fetch_assoc($sql);
	} else {
		error ('Тикет не найден!', TICKETFILE, 'Мои тикеты');
	}
	
	if ($ticket['close']) {
		error ('Этот тикет закрыт, вы не можете отвечать на него!', TICKETFILE, 'Мои тикеты');
	}
	
	unset($sql);
	
	require_header ('Ответить на тикет, ID: '.$id);
	
	if (isset($_POST['text'])) {
	
		$error = '';
		
		if (isset($_SESSION['ticket_'.$id]) && $_SESSION['ticket_'.$id] > (time() - 60)) {
			$error .= 'Следующее сообщение можно будет добавить через '.($_SESSION['ticket_'.$id] - (time() - 60)).'сек!<br/>';
		}
		
		if (empty($_POST['text'])) {
			$error .= 'Введите сообщение!';
		}
		elseif (iconv_strlen($_POST['text']) < 5) {
			$error .= 'Слишком короткое сообщение!';
		}
		
		if ($error) {
			echo '<div class="error"><b>Возникшие ошибки:</b><br/>'.$error.'</div>';
		} else {
		
			if ($db->query("INSERT INTO `".TICKETMSG."` SET `date`='".time()."', `ref`='".$id."', `login`='".$db->escape($user['login'])."', `text`='".$db->escape($_POST['text'])."'")) {
				$_SESSION['ticket_'.$id] = time();
				echo '<div class="line"><b>Комментарий успешно добавлен!</b></div>';
				header ('Refresh: 1, url='.TICKETFILE.'/'.$id.'/');
			} else {
				echo '<div class="error">Ошибка при добавлении сообщения!<br/><b>'.$db->SQLerror().'</b></div>';
			}
		
		}
	
	}
	
	echo '<form class="menu" action="" method="post">
	<b>Комментарий</b>: [<small><a href="'.PATH.'/catalog.xhtml/smiles/">Смайлы</a> / <a href="'.PATH.'/catalog.xhtml/bbcode/">ББ-коды</a></small>]<br/><textarea name="text" rows="4" cols="17"></textarea><br/>
	<input type="submit" value="Добавить"/>
	</form>';
	
	require_footer (TICKETFILE.'/'.$id.'/', 'К тикету');
	
	break;
	
}
?>